linux-oem-osp1 (5.0.0-1050.55) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1050.55 -proposed tracker (LP: #1874611)

  * alsa/sof: external mic can't be deteced on Lenovo and HP laptops
    (LP: #1872569)
    - SAUCE: ASoC: intel/skl/hda - set autosuspend timeout for hda codecs

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 24 Apr 2020 18:25:45 +0800

linux-oem-osp1 (5.0.0-1049.54) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1049.54 -proposed tracker (LP: #1874163)

  [ Ubuntu: 5.0.0-47.51 ]

  * disco/linux: 5.0.0-47.51 -proposed tracker (LP: #1874167)
  * ubuntu_bpf test failed to build on Eoan (LP: #1871613)
    - SAUCE: selftests: Fix bpf reuseport test

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 23 Apr 2020 14:40:00 +0300

linux-oem-osp1 (5.0.0-1048.53) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1048.53 -proposed tracker (LP: #1870694)

  * Fix authentication fail on Realtek WiFi 8723de (LP: #1871300)
    - SAUCE: rtw88: No retry and report for auth and assoc
    - SAUCE: rtw88: fix rate for a while after being connected
    - SAUCE: rtw88: Move driver IQK to set channel before association for 11N chip

  * suspend only works once on ThinkPad X1 Carbon gen 7 (LP: #1865570)
    - SAUCE: e1000e: Disable s0ix flow for X1 Carbon 7th

  [ Ubuntu: 5.0.0-46.50 ]

  * disco/linux: 5.0.0-46.50 -proposed tracker (LP: #1870703)
  * Disco update: upstream stable patchset 2020-03-30 (LP: #1869781)
    - perf/amd/uncore: Replace manual sampling check with CAP_NO_INTERRUPT flag
    - ACPI: watchdog: Allow disabling WDAT at boot
    - HID: apple: Add support for recent firmware on Magic Keyboards
    - cfg80211: check reg_rule for NULL in handle_channel_custom()
    - scsi: libfc: free response frame from GPN_ID
    - net: usb: qmi_wwan: restore mtu min/max values after raw_ip switch
    - net: ks8851-ml: Fix IRQ handling and locking
    - mac80211: rx: avoid RCU list traversal under mutex
    - signal: avoid double atomic counter increments for user accounting
    - slip: not call free_netdev before rtnl_unlock in slip_open
    - hinic: fix a irq affinity bug
    - hinic: fix a bug of setting hw_ioctxt
    - net: rmnet: fix NULL pointer dereference in rmnet_newlink()
    - net: rmnet: fix NULL pointer dereference in rmnet_changelink()
    - net: rmnet: fix suspicious RCU usage
    - net: rmnet: remove rcu_read_lock in rmnet_force_unassociate_device()
    - net: rmnet: do not allow to change mux id if mux id is duplicated
    - net: rmnet: use upper/lower device infrastructure
    - net: rmnet: fix bridge mode bugs
    - net: rmnet: fix packet forwarding in rmnet bridge mode
    - sfc: fix timestamp reconstruction at 16-bit rollover points
    - jbd2: fix data races at struct journal_head
    - wimax: i2400: fix memory leak
    - wimax: i2400: Fix memory leak in i2400m_op_rfkill_sw_toggle
    - driver core: Remove the link if there is no driver with AUTO flag
    - driver core: Fix adding device links to probing suppliers
    - driver core: Make driver core own stateful device links
    - driver core: Add device link flag DL_FLAG_AUTOPROBE_CONSUMER
    - driver core: Remove device link creation limitation
    - driver core: Fix creation of device links with PM-runtime flags
    - net: qrtr: fix len of skb_put_padto in qrtr_node_enqueue
    - ARM: 8957/1: VDSO: Match ARMv8 timer in cntvct_functional()
    - ARM: 8958/1: rename missed uaccess .fixup section
    - mm: slub: add missing TID bump in kmem_cache_alloc_bulk()
    - HID: google: add moonball USB id
    - ipv4: ensure rcu_read_lock() in cipso_v4_error()
    - netfilter: hashlimit: do not use indirect calls during gc
    - netfilter: xt_hashlimit: unregister proc file before releasing mutex
    - HID: hid-bigbenff: fix general protection fault caused by double kfree
    - HID: hid-bigbenff: call hid_hw_stop() in case of error
    - HID: hid-bigbenff: fix race condition for scheduled work during removal
    - selftests/rseq: Fix out-of-tree compilation
    - net: ll_temac: Fix race condition causing TX hang
    - blk-mq: insert passthrough request into hctx->dispatch directly
    - kbuild: add dtbs_check to PHONY
    - kbuild: add dt_binding_check to PHONY in a correct place
    - net: phy: mscc: fix firmware paths
    - blk-mq: insert flush request to the front of dispatch queue
    - HID: add ALWAYS_POLL quirk to lenovo pixart mouse
    - ARM: 8961/2: Fix Kbuild issue caused by per-task stack protector GCC plugin
  * This laptop contains a touchpadwhich is not recognized. (LP: #1858299) //
    Disco update: upstream stable patchset 2020-03-30 (LP: #1869781)
    - HID: i2c-hid: add Trekstor Surfbook E11B to descriptor override
  * Disco update: upstream stable patchset 2020-03-27 (LP: #1869413)
    - ALSA: hda/realtek - Fix a regression for mute led on Lenovo Carbon X1
    - net: dsa: bcm_sf2: Forcibly configure IMP port for 1Gb/sec
    - RDMA/core: Fix pkey and port assignment in get_new_pps
    - RDMA/core: Fix use of logical OR in get_new_pps
    - kprobes: Fix optimize_kprobe()/unoptimize_kprobe() cancellation logic
    - ALSA: hda: do not override bus codec_mask in link_get()
    - serial: ar933x_uart: set UART_CS_{RX,TX}_READY_ORIDE
    - selftests: fix too long argument
    - usb: gadget: composite: Support more than 500mA MaxPower
    - usb: gadget: ffs: ffs_aio_cancel(): Save/restore IRQ flags
    - usb: gadget: serial: fix Tx stall after buffer overflow
    - drm/msm/mdp5: rate limit pp done timeout warnings
    - drm: msm: Fix return type of dsi_mgr_connector_mode_valid for kCFI
    - scsi: megaraid_sas: silence a warning
    - drm/msm/dsi: save pll state before dsi host is powered off
    - drm/msm/dsi/pll: call vco set rate explicitly
    - selftests: forwarding: use proto icmp for {gretap, ip6gretap}_mac testing
    - net: ks8851-ml: Remove 8-bit bus accessors
    - net: ks8851-ml: Fix 16-bit data access
    - net: ks8851-ml: Fix 16-bit IO operation
    - watchdog: da9062: do not ping the hw during stop()
    - s390/cio: cio_ignore_proc_seq_next should increase position index
    - s390: make 'install' not depend on vmlinux
    - x86/boot/compressed: Don't declare __force_order in kaslr_64.c
    - s390/qdio: fill SL with absolute addresses
    - nvme: Fix uninitialized-variable warning
    - ice: Don't tell the OS that link is going down
    - x86/xen: Distribute switch variables for initialization
    - net: thunderx: workaround BGX TX Underflow issue
    - ALSA: hda/realtek - Add Headset Mic supported
    - ALSA: hda/realtek - Fix silent output on Gigabyte X570 Aorus Master
    - cifs: don't leak -EAGAIN for stat() during reconnect
    - usb: storage: Add quirk for Samsung Fit flash
    - usb: quirks: add NO_LPM quirk for Logitech Screen Share
    - usb: dwc3: gadget: Update chain bit correctly when using sg list
    - usb: core: hub: fix unhandled return by employing a void function
    - usb: core: hub: do error out if usb_autopm_get_interface() fails
    - usb: core: port: do error out if usb_autopm_get_interface() fails
    - vgacon: Fix a UAF in vgacon_invert_region
    - mm, numa: fix bad pmd by atomically check for pmd_trans_huge when marking
      page tables prot_numa
    - mm: fix possible PMD dirty bit lost in set_pmd_migration_entry()
    - fat: fix uninit-memory access for partial initialized inode
    - arm: dts: dra76x: Fix mmc3 max-frequency
    - tty:serial:mvebu-uart:fix a wrong return
    - serial: 8250_exar: add support for ACCES cards
    - vt: selection, close sel_buffer race
    - vt: selection, push console lock down
    - vt: selection, push sel_lock up
    - media: v4l2-mem2mem.c: fix broken links
    - x86/pkeys: Manually set X86_FEATURE_OSPKE to preserve existing changes
    - dmaengine: tegra-apb: Fix use-after-free
    - dmaengine: tegra-apb: Prevent race conditions of tasklet vs free list
    - dm cache: fix a crash due to incorrect work item cancelling
    - dm: report suspended device during destroy
    - dm writecache: verify watermark during resume
    - ARM: dts: ls1021a: Restore MDIO compatible to gianfar
    - spi: bcm63xx-hsspi: Really keep pll clk enabled
    - ASoC: topology: Fix memleak in soc_tplg_link_elems_load()
    - ASoC: topology: Fix memleak in soc_tplg_manifest_load()
    - ASoC: intel: skl: Fix pin debug prints
    - ASoC: intel: skl: Fix possible buffer overflow in debug outputs
    - ASoC: pcm: Fix possible buffer overflow in dpcm state sysfs output
    - ASoC: pcm512x: Fix unbalanced regulator enable call in probe error path
    - ASoC: dapm: Correct DAPM handling of active widgets during shutdown
    - drm/sun4i: Fix DE2 VI layer format support
    - drm/sun4i: de2/de3: Remove unsupported VI layer formats
    - phy: mapphone-mdm6600: Fix timeouts by adding wake-up handling
    - phy: mapphone-mdm6600: Fix write timeouts with shorter GPIO toggle interval
    - ARM: dts: imx6: phycore-som: fix emmc supply
    - RDMA/iwcm: Fix iwcm work deallocation
    - RMDA/cm: Fix missing ib_cm_destroy_id() in ib_cm_insert_listen()
    - IB/hfi1, qib: Ensure RCU is locked when accessing list
    - ARM: imx: build v7_cpu_resume() unconditionally
    - ARM: dts: am437x-idk-evm: Fix incorrect OPP node names
    - ARM: dts: imx7-colibri: Fix frequency for sd/mmc
    - hwmon: (adt7462) Fix an error return in ADT7462_REG_VOLT()
    - dmaengine: coh901318: Fix a double lock bug in dma_tc_handle()
    - powerpc: fix hardware PMU exception bug on PowerVM compatibility mode
      systems
    - efi/x86: Align GUIDs to their size in the mixed mode runtime wrapper
    - efi/x86: Handle by-ref arguments covering multiple pages in mixed mode
    - dm integrity: fix a deadlock due to offloading to an incorrect workqueue
    - scsi: pm80xx: Fixed kernel panic during error recovery for SATA drive
    - KVM: SVM: fix up incorrect backport
    - block, bfq: get extra ref to prevent a queue from being freed during a group
      move
    - block, bfq: do not insert oom queue into position tree
    - blktrace: fix dereference after null check
    - selftests: forwarding: vxlan_bridge_1d: fix tos value
    - csky/mm: Fixup export invalid_pte_table symbol
    - csky: Set regs->usp to kernel sp, when the exception is from kernel
    - csky/smp: Fixup boot failed when CONFIG_SMP
    - csky: Fixup ftrace modify panic
    - csky: Fixup compile warning for three unimplemented syscalls
    - arch/csky: fix some Kconfig typos
    - selftests: forwarding: vxlan_bridge_1d: use more proper tos value
    - firmware: imx: scu: Ensure sequential TX
    - ALSA: hda/realtek - Add Headset Button supported for ThinkPad X1
    - ALSA: hda/realtek - Enable the headset of ASUS B9450FA with ALC294
    - btrfs: fix RAID direct I/O reads with alternate csums
    - spi: spidev: Fix CS polarity if GPIO descriptors are used
    - s390/mm: fix panic in gup_fast on large pud
    - dmaengine: imx-sdma: Fix the event id check to include RX event for UART6
    - dm zoned: Fix reference counter initial value of chunk works
    - dm: fix congested_fn for request-based device
    - drm/virtio: make resource id workaround runtime switchable.
    - drm/virtio: fix resource id creation race
    - spi: atmel-quadspi: fix possible MMIO window size overrun
    - drm/i915: Program MBUS with rmw during initialization
    - drm/i915/selftests: Fix return in assert_mmap_offset()
    - firmware: imx: misc: Align imx sc msg structs to 4
    - firmware: imx: scu-pd: Align imx sc msg structs to 4
    - Revert "RDMA/cma: Simplify rdma_resolve_addr() error flow"
    - regulator: stm32-vrefbuf: fix a possible overshoot when re-enabling
    - ARM: dts: dra7xx-clocks: Fixup IPU1 mux clock parent source
    - EDAC/synopsys: Do not print an error with back-to-back snprintf() calls
    - efi: READ_ONCE rng seed size before munmap
    - block, bfq: get a ref to a group when adding it to a service tree
    - block, bfq: remove ifdefs from around gets/puts of bfq groups
    - csky: Implement copy_thread_tls
    - drm/virtio: module_param_named() requires linux/moduleparam.h
    - net: phy: Avoid multiple suspends
    - cgroup, netclassid: periodically release file_lock on classid updating
    - gre: fix uninit-value in __iptunnel_pull_header
    - inet_diag: return classid for all socket types
    - ipv6/addrconf: call ipv6_mc_up() for non-Ethernet interface
    - ipvlan: add cond_resched_rcu() while processing muticast backlog
    - ipvlan: do not add hardware address of master to its unicast filter list
    - ipvlan: do not use cond_resched_rcu() in ipvlan_process_multicast()
    - ipvlan: don't deref eth hdr before checking it's set
    - net/ipv6: use configured metric when add peer route
    - netlink: Use netlink header as base to calculate bad attribute offset
    - net: macsec: update SCI upon MAC address change.
    - net: nfc: fix bounds checking bugs on "pipe"
    - net/packet: tpacket_rcv: do not increment ring index on drop
    - net: stmmac: dwmac1000: Disable ACS if enhanced descs are not used
    - net: systemport: fix index check to avoid an array out of bounds access
    - r8152: check disconnect status after long sleep
    - sfc: detach from cb_page in efx_copy_channel()
    - bnxt_en: reinitialize IRQs when MTU is modified
    - cgroup: memcg: net: do not associate sock with unrelated cgroup
    - net: memcg: late association of sock to memcg
    - net: memcg: fix lockdep splat in inet_csk_accept()
    - devlink: validate length of param values
    - fib: add missing attribute validation for tun_id
    - nl802154: add missing attribute validation
    - nl802154: add missing attribute validation for dev_type
    - can: add missing attribute validation for termination
    - macsec: add missing attribute validation for port
    - net: fq: add missing attribute validation for orphan mask
    - team: add missing attribute validation for port ifindex
    - team: add missing attribute validation for array index
    - nfc: add missing attribute validation for SE API
    - nfc: add missing attribute validation for deactivate target
    - nfc: add missing attribute validation for vendor subcommand
    - net: phy: fix MDIO bus PM PHY resuming
    - selftests/net/fib_tests: update addr_metric_test for peer route testing
    - net/ipv6: need update peer route when modify metric
    - net/ipv6: remove the old peer route if change it to a new one
    - tipc: add missing attribute validation for MTU property
    - devlink: validate length of region addr/len
    - bonding/alb: make sure arp header is pulled before accessing it
    - slip: make slhc_compress() more robust against malicious packets
    - net: fec: validate the new settings in fec_enet_set_coalesce()
    - macvlan: add cond_resched() during multicast processing
    - cgroup: cgroup_procs_next should increase position index
    - cgroup: Iterate tasks that did not finish do_exit()
    - virtio-blk: fix hw_queue stopped on arbitrary error
    - iommu/vt-d: quirk_ioat_snb_local_iommu: replace WARN_TAINT with pr_warn +
      add_taint
    - netfilter: nf_conntrack: ct_cpu_seq_next should increase position index
    - netfilter: synproxy: synproxy_cpu_seq_next should increase position index
    - netfilter: xt_recent: recent_seq_next should increase position index
    - netfilter: x_tables: xt_mttg_seq_next should increase position index
    - workqueue: don't use wq_select_unbound_cpu() for bound works
    - drm/amd/display: remove duplicated assignment to grph_obj_type
    - ktest: Add timeout for ssh sync testing
    - cifs_atomic_open(): fix double-put on late allocation failure
    - gfs2_atomic_open(): fix O_EXCL|O_CREAT handling on cold dcache
    - KVM: x86: clear stale x86_emulate_ctxt->intercept value
    - ARC: define __ALIGN_STR and __ALIGN symbols for ARC
    - macintosh: windfarm: fix MODINFO regression
    - efi: Fix a race and a buffer overflow while reading efivars via sysfs
    - mt76: fix array overflow on receiving too many fragments for a packet
    - x86/mce: Fix logic and comments around MSR_PPIN_CTL
    - iommu/dma: Fix MSI reservation allocation
    - iommu/vt-d: dmar: replace WARN_TAINT with pr_warn + add_taint
    - iommu/vt-d: Fix a bug in intel_iommu_iova_to_phys() for huge page
    - batman-adv: Don't schedule OGM for disabled interface
    - pinctrl: meson-gxl: fix GPIOX sdio pins
    - pinctrl: core: Remove extra kref_get which blocks hogs being freed
    - drm/i915/gvt: Fix unnecessary schedule timer when no vGPU exits
    - i2c: gpio: suppress error on probe defer
    - nl80211: add missing attribute validation for critical protocol indication
    - nl80211: add missing attribute validation for beacon report scanning
    - nl80211: add missing attribute validation for channel switch
    - perf bench futex-wake: Restore thread count default to online CPU count
    - netfilter: cthelper: add missing attribute validation for cthelper
    - netfilter: nft_payload: add missing attribute validation for payload csum
      flags
    - netfilter: nft_tunnel: add missing attribute validation for tunnels
    - iommu/vt-d: Fix the wrong printing in RHSA parsing
    - iommu/vt-d: Ignore devices with out-of-spec domain number
    - i2c: acpi: put device when verifying client fails
    - ipv6: restrict IPV6_ADDRFORM operation
    - net/smc: check for valid ib_client_data
    - net/smc: cancel event worker during device removal
    - efi: Add a sanity check to efivar_store_raw()
    - batman-adv: Avoid free/alloc race when handling OGM2 buffer
    - virtio_balloon: Adjust label in virtballoon_probe
    - ALSA: hda/realtek - More constifications
    - ALSA: hda/realtek - Add Headset Mic supported for HP cPC
    - ALSA: hda/realtek - Fixed one of HP ALC671 platform Headset Mic supported
    - net: hns3: fix a not link up issue when fibre port supports autoneg
    - net: phy: bcm63xx: fix OOPS due to missing driver name
    - taprio: Fix sending packets without dequeueing them
    - netfilter: nf_tables: fix infinite loop when expr is not available
    - drm/i915: be more solid in checking the alignment
    - pinctrl: imx: scu: Align imx sc msg structs to 4
    - virtio_ring: Fix mem leak with vring_new_virtqueue()
  * Fix AMD Stoney Ridge screen flickering under 4K resolution (LP: #1864005) //
    Disco update: upstream stable patchset 2020-03-27 (LP: #1869413)
    - iommu/amd: Disable IOMMU on Stoney Ridge systems
  * Disco update: upstream stable patchset 2020-03-26 (LP: #1869254)
    - irqchip/gic-v3-its: Fix misuse of GENMASK macro
    - iwlwifi: pcie: fix rb_allocator workqueue allocation
    - ipmi:ssif: Handle a possible NULL pointer reference
    - drm/msm: Set dma maximum segment size for mdss
    - dax: pass NOWAIT flag to iomap_apply
    - mac80211: consider more elements in parsing CRC
    - cfg80211: check wiphy driver existence for drvinfo report
    - s390/zcrypt: fix card and queue total counter wrap
    - qmi_wwan: re-add DW5821e pre-production variant
    - qmi_wwan: unconditionally reject 2 ep interfaces
    - ARM: dts: sti: fixup sound frame-inversion for stihxxx-b2120.dtsi
    - soc/tegra: fuse: Fix build with Tegra194 configuration
    - net: ena: fix potential crash when rxfh key is NULL
    - net: ena: fix uses of round_jiffies()
    - net: ena: add missing ethtool TX timestamping indication
    - net: ena: fix incorrect default RSS key
    - net: ena: rss: fix failure to get indirection table
    - net: ena: rss: store hash function as values and not bits
    - net: ena: fix incorrectly saving queue numbers when setting RSS indirection
      table
    - net: ena: ethtool: use correct value for crc32 hash
    - net: ena: ena-com.c: prevent NULL pointer dereference
    - cifs: Fix mode output in debugging statements
    - cfg80211: add missing policy for NL80211_ATTR_STATUS_CODE
    - sysrq: Restore original console_loglevel when sysrq disabled
    - sysrq: Remove duplicated sysrq message
    - net: fib_rules: Correctly set table field when table number exceeds 8 bits
    - net: mscc: fix in frame extraction
    - net: phy: restore mdio regs in the iproc mdio driver
    - net: sched: correct flower port blocking
    - nfc: pn544: Fix occasional HW initialization failure
    - sctp: move the format error check out of __sctp_sf_do_9_1_abort
    - ipv6: Fix route replacement with dev-only route
    - ipv6: Fix nlmsg_flags when splitting a multipath route
    - qede: Fix race between rdma destroy workqueue and link change event
    - net/tls: Fix to avoid gettig invalid tls record
    - ext4: potential crash on allocation error in ext4_alloc_flex_bg_array()
    - audit: fix error handling in audit_data_to_entry()
    - ACPICA: Introduce ACPI_ACCESS_BYTE_WIDTH() macro
    - ACPI: watchdog: Fix gas->access_width usage
    - KVM: VMX: check descriptor table exits on instruction emulation
    - HID: ite: Only bind to keyboard USB interface on Acer SW5-012 keyboard dock
    - HID: core: fix off-by-one memset in hid_report_raw_event()
    - HID: core: increase HID report buffer size to 8KiB
    - macintosh: therm_windtunnel: fix regression when instantiating devices
    - tracing: Disable trace_printk() on post poned tests
    - Revert "PM / devfreq: Modify the device name as devfreq(X) for sysfs"
    - amdgpu/gmc_v9: save/restore sdpif regs during S3
    - vhost: Check docket sk_family instead of call getname
    - HID: alps: Fix an error handling path in 'alps_input_configured()'
    - HID: hiddev: Fix race in in hiddev_disconnect()
    - MIPS: VPE: Fix a double free and a memory leak in 'release_vpe()'
    - i2c: altera: Fix potential integer overflow
    - i2c: jz4780: silence log flood on txabrt
    - drm/i915/gvt: Fix orphan vgpu dmabuf_objs' lifetime
    - drm/i915/gvt: Separate display reset from ALL_ENGINES reset
    - hv_netvsc: Fix unwanted wakeup in netvsc_attach()
    - usb: charger: assign specific number for enum value
    - s390/qeth: vnicc Fix EOPNOTSUPP precedence
    - net: netlink: cap max groups which will be considered in netlink_bind()
    - net: atlantic: fix use after free kasan warn
    - net: atlantic: fix potential error handling
    - net/smc: no peer ID in CLC decline for SMCD
    - net: ena: make ena rxfh support ETH_RSS_HASH_NO_CHANGE
    - namei: only return -ECHILD from follow_dotdot_rcu()
    - mwifiex: drop most magic numbers from mwifiex_process_tdls_action_frame()
    - mwifiex: delete unused mwifiex_get_intf_num()
    - KVM: SVM: Override default MMIO mask if memory encryption is enabled
    - KVM: Check for a bad hva before dropping into the ghc slow path
    - sched/fair: Optimize update_blocked_averages()
    - sched/fair: Fix O(nr_cgroups) in the load balancing path
    - drivers: net: xgene: Fix the order of the arguments of
      'alloc_etherdev_mqs()'
    - kprobes: Set unoptimized flag after unoptimizing code
    - pwm: omap-dmtimer: put_device() after of_find_device_by_node()
    - perf hists browser: Restore ESC as "Zoom out" of DSO/thread/etc
    - KVM: x86: Remove spurious kvm_mmu_unload() from vcpu destruction path
    - KVM: x86: Remove spurious clearing of async #PF MSR
    - thermal: brcmstb_thermal: Do not use DT coefficients
    - netfilter: nft_tunnel: no need to call htons() when dumping ports
    - netfilter: nf_flowtable: fix documentation
    - mm/huge_memory.c: use head to check huge zero page
    - mm, thp: fix defrag setting if newline is not used
    - audit: always check the netlink payload length in audit_receive_msg()
    - net: dsa: b53: Ensure the default VID is untagged
    - udp: rehash on disconnect
    - bnxt_en: Improve device shutdown method.
    - bnxt_en: Issue PCIe FLR in kdump kernel to cleanup pending DMAs.
    - net: export netdev_next_lower_dev_rcu()
    - sched/core: Don't skip remote tick for idle CPUs
    - NFSv4: Fix races between open and dentry revalidation
    - i40e: Fix the conditional for i40e_vc_validate_vqs_bitmaps
    - net: ena: rss: do not allocate key when not supported
    - net: ena: fix corruption of dev_idx_to_host_tbl
    - ice: update Unit Load Status bitmask to check after reset
    - mac80211: fix wrong 160/80+80 MHz setting
    - net: hns3: add management table after IMP reset
    - net: hns3: fix a copying IPv6 address error in hclge_fd_get_flow_tuples()
    - nvme/tcp: fix bug on double requeue when send fails
    - nvme: prevent warning triggered by nvme_stop_keep_alive
    - nvme/pci: move cqe check after device shutdown
    - drm/amdgpu: Drop DRIVER_USE_AGP
    - drm/radeon: Inline drm_get_pci_dev
    - netfilter: ipset: Fix "INFO: rcu detected stall in hash_xxx" reports
    - netfilter: ipset: Fix forceadd evaluation path
    - netfilter: xt_hashlimit: reduce hashlimit_mutex scope for htable_put()
    - mac80211: Remove a redundant mutex unlock
    - kbuild: fix DT binding schema rule to detect command line changes
    - nvme-pci: Hold cq_poll_lock while completing CQEs
    - net: atlantic: fix out of range usage of active_vlans array
    - perf ui gtk: Add missing zalloc object
    - x86/resctrl: Check monitoring static key in the MBM overflow handler
    - rcu: Allow only one expedited GP to run concurrently with wakeups
    - bus: tegra-aconnect: Remove PM_CLK dependency
    - blktrace: Protect q->blk_trace with RCU
  * Disco update: upstream stable patchset 2020-03-24 (LP: #1868799)
    - iommu/qcom: Fix bogus detach logic
    - ALSA: hda: Use scnprintf() for printing texts for sysfs/procfs
    - ALSA: hda/realtek - Apply quirk for MSI GP63, too
    - ALSA: hda/realtek - Apply quirk for yet another MSI laptop
    - ASoC: sun8i-codec: Fix setting DAI data format
    - ecryptfs: fix a memory leak bug in parse_tag_1_packet()
    - ecryptfs: fix a memory leak bug in ecryptfs_init_messaging()
    - thunderbolt: Prevent crash if non-active NVMem file is read
    - USB: misc: iowarrior: add support for 2 OEMed devices
    - USB: misc: iowarrior: add support for the 28 and 28L devices
    - USB: misc: iowarrior: add support for the 100 device
    - floppy: check FDC index for errors before assigning it
    - vt: fix scrollback flushing on background consoles
    - vt: selection, handle pending signals in paste_selection
    - vt: vt_ioctl: fix race in VT_RESIZEX
    - staging: android: ashmem: Disallow ashmem memory from being remapped
    - staging: vt6656: fix sign of rx_dbm to bb_pre_ed_rssi.
    - xhci: Force Maximum Packet size for Full-speed bulk devices to valid range.
    - xhci: fix runtime pm enabling for quirky Intel hosts
    - xhci: Fix memory leak when caching protocol extended capability PSI tables -
      take 2
    - usb: host: xhci: update event ring dequeue pointer on purpose
    - USB: core: add endpoint-blacklist quirk
    - USB: quirks: blacklist duplicate ep on Sound Devices USBPre2
    - usb: uas: fix a plug & unplug racing
    - USB: Fix novation SourceControl XL after suspend
    - USB: hub: Don't record a connect-change event during reset-resume
    - USB: hub: Fix the broken detection of USB3 device in SMSC hub
    - usb: dwc2: Fix SET/CLEAR_FEATURE and GET_STATUS flows
    - usb: dwc3: gadget: Check for IOC/LST bit in TRB->ctrl fields
    - staging: rtl8188eu: Fix potential security hole
    - staging: rtl8188eu: Fix potential overuse of kernel memory
    - staging: rtl8723bs: Fix potential security hole
    - staging: rtl8723bs: Fix potential overuse of kernel memory
    - powerpc/tm: Fix clearing MSR[TS] in current when reclaiming on signal
      delivery
    - jbd2: fix ocfs2 corrupt when clearing block group bits
    - x86/mce/amd: Publish the bank pointer only after setup has succeeded
    - x86/mce/amd: Fix kobject lifetime
    - x86/cpu/amd: Enable the fixed Instructions Retired counter IRPERF
    - serial: 8250: Check UPF_IRQ_SHARED in advance
    - tty/serial: atmel: manage shutdown in case of RS485 or ISO7816 mode
    - tty: serial: imx: setup the correct sg entry for tx dma
    - serdev: ttyport: restore client ops on deregistration
    - MAINTAINERS: Update drm/i915 bug filing URL
    - mm/memcontrol.c: lost css_put in memcg_expand_shrinker_maps()
    - nvme-multipath: Fix memory leak with ana_log_buf
    - genirq/irqdomain: Make sure all irq domain flags are distinct
    - mm/vmscan.c: don't round up scan size for online memory cgroup
    - drm/amdgpu/soc15: fix xclk for raven
    - xhci: apply XHCI_PME_STUCK_QUIRK to Intel Comet Lake platforms
    - KVM: x86: don't notify userspace IOAPIC on edge-triggered interrupt EOI
    - tty: serial: qcom_geni_serial: Remove use of *_relaxed() and mb()
    - tty: serial: qcom_geni_serial: Remove set_rfr_wm() and related variables
    - tty: serial: qcom_geni_serial: Remove xfer_mode variable
    - tty: serial: qcom_geni_serial: Fix RX cancel command failure
    - lib/stackdepot.c: fix global out-of-bounds in stack_slabs
    - drm/nouveau/kms/gv100-: Re-set LUT after clearing for modesets
    - ext4: fix a data race in EXT4_I(inode)->i_disksize
    - ext4: add cond_resched() to __ext4_find_entry()
    - ext4: fix potential race between online resizing and write operations
    - ext4: fix potential race between s_group_info online resizing and access
    - ext4: fix potential race between s_flex_groups online resizing and access
    - ext4: fix mount failure with quota configured as module
    - ext4: rename s_journal_flag_rwsem to s_writepages_rwsem
    - ext4: fix race between writepages and enabling EXT4_EXTENTS_FL
    - KVM: nVMX: handle nested posted interrupts when apicv is disabled for L1
    - KVM: apic: avoid calculating pending eoi from an uninitialized val
    - btrfs: fix bytes_may_use underflow in prealloc error condtition
    - btrfs: reset fs_root to NULL on error in open_ctree
    - btrfs: do not check delayed items are empty for single transaction cleanup
    - Btrfs: fix btrfs_wait_ordered_range() so that it waits for all ordered
      extents
    - scsi: Revert "RDMA/isert: Fix a recently introduced regression related to
      logout"
    - scsi: Revert "target: iscsi: Wait for all commands to finish before freeing
      a session"
    - usb: gadget: composite: Fix bMaxPower for SuperSpeedPlus
    - usb: dwc2: Fix in ISOC request length checking
    - staging: rtl8723bs: fix copy of overlapping memory
    - staging: greybus: use after free in gb_audio_manager_remove_all()
    - ecryptfs: replace BUG_ON with error handling code
    - iommu/vt-d: Fix compile warning from intel-svm.h
    - genirq/proc: Reject invalid affinity masks (again)
    - bpf, offload: Replace bitwise AND by logical AND in
      bpf_prog_offload_info_fill
    - ALSA: rawmidi: Avoid bit fields for state flags
    - ALSA: seq: Avoid concurrent access to queue flags
    - ALSA: seq: Fix concurrent access to queue current tick/time
    - netfilter: xt_hashlimit: limit the max size of hashtable
    - rxrpc: Fix call RCU cleanup using non-bh-safe locks
    - ata: ahci: Add shutdown to freeze hardware resources of ahci
    - xen: Enable interrupts when calling _cond_resched()
    - s390/mm: Explicitly compare PAGE_DEFAULT_KEY against zero in
      storage_key_init_range
    - Revert "char/random: silence a lockdep splat with printk()"
    - btrfs: handle logged extent failure properly
    - e1000e: Use rtnl_lock to prevent race conditions between net and pci/pm
    - powerpc/8xx: Fix clearing of bits 20-23 in ITLB miss
    - powerpc/mm/hugetlb: Fix kernel crash if we fail to allocate page table
      caches
    - powerpc/mm: cleanup remaining ifdef mess in hugetlbpage.c
    - powerpc/hugetlb: Fix 512k hugepages on 8xx with 16k page size
    - powerpc/hugetlb: Fix 8M hugepages on 8xx
    - x86/ima: use correct identifier for SetupMode variable
    - drm/amdgpu/gfx9: disable gfxoff when reading rlc clock
    - drm/i915: Update drm/i915 bug filing URL
    - KVM: nVMX: clear PIN_BASED_POSTED_INTR from nested pinbased_ctls only when
      apicv is globally disabled
    - btrfs: destroy qgroup extent records on transaction abort
    - Btrfs: fix race between shrinking truncate and fiemap
    - Btrfs: fix deadlock during fast fsync when logging prealloc extents beyond
      eof
    - crypto: rename sm3-256 to sm3 in hash_algo_name
    - bpf: Selftests build error in sockmap_basic.c
  * Disco update: upstream stable patchset 2020-03-20 (LP: #1868290)
    - core: Don't skip generic XDP program execution for cloned SKBs
    - enic: prevent waking up stopped tx queues over watchdog reset
    - net/smc: fix leak of kernel memory to user space
    - net: dsa: tag_qca: Make sure there is headroom for tag
    - net/sched: matchall: add missing validation of TCA_MATCHALL_FLAGS
    - net/sched: flower: add missing validation of TCA_FLOWER_FLAGS
    - Revert "KVM: nVMX: Use correct root level for nested EPT shadow page tables"
    - KVM: nVMX: Use correct root level for nested EPT shadow page tables
    - drm/gma500: Fixup fbdev stolen size usage evaluation
    - cpu/hotplug, stop_machine: Fix stop_machine vs hotplug order
    - brcmfmac: Fix use after free in brcmf_sdio_readframes()
    - leds: pca963x: Fix open-drain initialization
    - ext4: fix ext4_dax_read/write inode locking sequence for IOCB_NOWAIT
    - ALSA: ctl: allow TLV read operation for callback type of element in locked
      case
    - gianfar: Fix TX timestamping with a stacked DSA driver
    - pinctrl: sh-pfc: sh7264: Fix CAN function GPIOs
    - pxa168fb: Fix the function used to release some memory in an error handling
      path
    - media: i2c: mt9v032: fix enum mbus codes and frame sizes
    - powerpc/powernv/iov: Ensure the pdn for VFs always contains a valid PE
      number
    - gpio: gpio-grgpio: fix possible sleep-in-atomic-context bugs in
      grgpio_irq_map/unmap()
    - iommu/vt-d: Fix off-by-one in PASID allocation
    - media: sti: bdisp: fix a possible sleep-in-atomic-context bug in
      bdisp_device_run()
    - pinctrl: baytrail: Do not clear IRQ flags on direct-irq enabled pins
    - efi/x86: Map the entire EFI vendor string before copying it
    - MIPS: Loongson: Fix potential NULL dereference in loongson3_platform_init()
    - sparc: Add .exit.data section.
    - uio: fix a sleep-in-atomic-context bug in uio_dmem_genirq_irqcontrol()
    - usb: gadget: udc: fix possible sleep-in-atomic-context bugs in gr_probe()
    - usb: dwc2: Fix IN FIFO allocation
    - clocksource/drivers/bcm2835_timer: Fix memory leak of timer
    - kselftest: Minimise dependency of get_size on C library interfaces
    - jbd2: clear JBD2_ABORT flag before journal_reset to update log tail info
      when load journal
    - x86/sysfb: Fix check for bad VRAM size
    - pwm: omap-dmtimer: Simplify error handling
    - s390/pci: Fix possible deadlock in recover_store()
    - powerpc/iov: Move VF pdev fixup into pcibios_fixup_iov()
    - tracing: Fix tracing_stat return values in error handling paths
    - tracing: Fix very unlikely race of registering two stat tracers
    - ARM: 8952/1: Disable kmemleak on XIP kernels
    - ext4, jbd2: ensure panic when aborting with zero errno
    - ath10k: Correct the DMA direction for management tx buffers
    - drm/amd/display: Retrain dongles when SINK_COUNT becomes non-zero
    - nbd: add a flush_workqueue in nbd_start_device
    - KVM: s390: ENOTSUPP -> EOPNOTSUPP fixups
    - kconfig: fix broken dependency in randconfig-generated .config
    - clk: qcom: rcg2: Don't crash if our parent can't be found; return an error
    - drm/amdgpu: remove 4 set but not used variable in
      amdgpu_atombios_get_connector_info_from_object_table
    - drm/amdgpu: Ensure ret is always initialized when using SOC15_WAIT_ON_RREG
    - regulator: rk808: Lower log level on optional GPIOs being not available
    - net/wan/fsl_ucc_hdlc: reject muram offsets above 64K
    - NFC: port100: Convert cpu_to_le16(le16_to_cpu(E1) + E2) to use
      le16_add_cpu().
    - arm64: dts: allwinner: H6: Add PMU mode
    - arm: dts: allwinner: H3: Add PMU node
    - selinux: ensure we cleanup the internal AVC counters on error in
      avc_insert()
    - arm64: dts: qcom: msm8996: Disable USB2 PHY suspend by core
    - ARM: dts: imx6: rdu2: Disable WP for USDHC2 and USDHC3
    - ARM: dts: imx6: rdu2: Limit USBH1 to Full Speed
    - PCI: iproc: Apply quirk_paxc_bridge() for module as well as built-in
    - media: cx23885: Add support for AVerMedia CE310B
    - PCI: Add generic quirk for increasing D3hot delay
    - PCI: Increase D3 delay for AMD Ryzen5/7 XHCI controllers
    - media: v4l2-device.h: Explicitly compare grp{id,mask} to zero in v4l2_device
      macros
    - reiserfs: Fix spurious unlock in reiserfs_fill_super() error handling
    - r8169: check that Realtek PHY driver module is loaded
    - fore200e: Fix incorrect checks of NULL pointer dereference
    - netfilter: nft_tunnel: add the missing ERSPAN_VERSION nla_policy
    - ALSA: usx2y: Adjust indentation in snd_usX2Y_hwdep_dsp_status
    - b43legacy: Fix -Wcast-function-type
    - ipw2x00: Fix -Wcast-function-type
    - iwlegacy: Fix -Wcast-function-type
    - rtlwifi: rtl_pci: Fix -Wcast-function-type
    - orinoco: avoid assertion in case of NULL pointer
    - ACPICA: Disassembler: create buffer fields in ACPI_PARSE_LOAD_PASS1
    - scsi: ufs: Complete pending requests in host reset and restore path
    - scsi: aic7xxx: Adjust indentation in ahc_find_syncrate
    - drm/mediatek: handle events when enabling/disabling crtc
    - ARM: dts: r8a7779: Add device node for ARM global timer
    - selinux: ensure we cleanup the internal AVC counters on error in
      avc_update()
    - dmaengine: Store module owner in dma_device struct
    - crypto: chtls - Fixed memory leak
    - x86/vdso: Provide missing include file
    - PM / devfreq: rk3399_dmc: Add COMPILE_TEST and HAVE_ARM_SMCCC dependency
    - pinctrl: sh-pfc: sh7269: Fix CAN function GPIOs
    - reset: uniphier: Add SCSSI reset control for each channel
    - RDMA/rxe: Fix error type of mmap_offset
    - clk: sunxi-ng: add mux and pll notifiers for A64 CPU clock
    - ALSA: sh: Fix unused variable warnings
    - clk: uniphier: Add SCSSI clock gate for each channel
    - ALSA: sh: Fix compile warning wrt const
    - tools lib api fs: Fix gcc9 stringop-truncation compilation error
    - ACPI: button: Add DMI quirk for Razer Blade Stealth 13 late 2019 lid switch
    - mlx5: work around high stack usage with gcc
    - drm: remove the newline for CRC source name.
    - ARM: dts: stm32: Add power-supply for DSI panel on stm32f469-disco
    - usbip: Fix unsafe unaligned pointer usage
    - udf: Fix free space reporting for metadata and virtual partitions
    - staging: rtl8188: avoid excessive stack usage
    - IB/hfi1: Add software counter for ctxt0 seq drop
    - soc/tegra: fuse: Correct straps' address for older Tegra124 device trees
    - efi/x86: Don't panic or BUG() on non-critical error conditions
    - rcu: Use WRITE_ONCE() for assignments to ->pprev for hlist_nulls
    - Input: edt-ft5x06 - work around first register access error
    - x86/nmi: Remove irq_work from the long duration NMI handler
    - wan: ixp4xx_hss: fix compile-testing on 64-bit
    - ASoC: atmel: fix build error with CONFIG_SND_ATMEL_SOC_DMA=m
    - tty: synclinkmp: Adjust indentation in several functions
    - tty: synclink_gt: Adjust indentation in several functions
    - visorbus: fix uninitialized variable access
    - driver core: platform: Prevent resouce overflow from causing infinite loops
    - driver core: Print device when resources present in really_probe()
    - bpf: Return -EBADRQC for invalid map type in __bpf_tx_xdp_map
    - vme: bridges: reduce stack usage
    - drm/nouveau/secboot/gm20b: initialize pointer in gm20b_secboot_new()
    - drm/nouveau/gr/gk20a,gm200-: add terminators to method lists read from fw
    - drm/nouveau: Fix copy-paste error in nouveau_fence_wait_uevent_handler
    - drm/nouveau/drm/ttm: Remove set but not used variable 'mem'
    - drm/nouveau/fault/gv100-: fix memory leak on module unload
    - drm/vmwgfx: prevent memory leak in vmw_cmdbuf_res_add
    - usb: musb: omap2430: Get rid of musb .set_vbus for omap2430 glue
    - iommu/arm-smmu-v3: Use WRITE_ONCE() when changing validity of an STE
    - f2fs: set I_LINKABLE early to avoid wrong access by vfs
    - f2fs: free sysfs kobject
    - scsi: iscsi: Don't destroy session if there are outstanding connections
    - arm64: fix alternatives with LLVM's integrated assembler
    - drm/amd/display: fixup DML dependencies
    - watchdog/softlockup: Enforce that timestamp is valid on boot
    - f2fs: fix memleak of kobject
    - x86/mm: Fix NX bit clearing issue in kernel_map_pages_in_pgd
    - pwm: omap-dmtimer: Remove PWM chip in .remove before making it unfunctional
    - cmd64x: potential buffer overflow in cmd64x_program_timings()
    - ide: serverworks: potential overflow in svwks_set_pio_mode()
    - pwm: Remove set but not set variable 'pwm'
    - btrfs: fix possible NULL-pointer dereference in integrity checks
    - btrfs: safely advance counter when looking up bio csums
    - btrfs: device stats, log when stats are zeroed
    - module: avoid setting info->name early in case we can fall back to
      info->mod->name
    - remoteproc: Initialize rproc_class before use
    - irqchip/mbigen: Set driver .suppress_bind_attrs to avoid remove problems
    - ALSA: hda/hdmi - add retry logic to parse_intel_hdmi()
    - kbuild: use -S instead of -E for precise cc-option test in Kconfig
    - x86/decoder: Add TEST opcode to Group3-2
    - s390: adjust -mpacked-stack support check for clang 10
    - s390/ftrace: generate traced function stack frame
    - driver core: platform: fix u32 greater or equal to zero comparison
    - ALSA: hda - Add docking station support for Lenovo Thinkpad T420s
    - drm/nouveau/mmu: fix comptag memory leak
    - powerpc/sriov: Remove VF eeh_dev state when disabling SR-IOV
    - bcache: cached_dev_free needs to put the sb page
    - iommu/vt-d: Remove unnecessary WARN_ON_ONCE()
    - selftests: bpf: Reset global state between reuseport test runs
    - jbd2: switch to use jbd2_journal_abort() when failed to submit the commit
      record
    - jbd2: make sure ESHUTDOWN to be recorded in the journal superblock
    - ARM: 8951/1: Fix Kexec compilation issue.
    - hostap: Adjust indentation in prism2_hostapd_add_sta
    - iwlegacy: ensure loop counter addr does not wrap and cause an infinite loop
    - cifs: fix NULL dereference in match_prepath
    - bpf: map_seq_next should always increase position index
    - ceph: check availability of mds cluster on mount after wait timeout
    - rbd: work around -Wuninitialized warning
    - irqchip/gic-v3: Only provision redistributors that are enabled in ACPI
    - drm/nouveau/disp/nv50-: prevent oops when no channel method map provided
    - ftrace: fpid_next() should increase position index
    - trigger_next should increase position index
    - radeon: insert 10ms sleep in dce5_crtc_load_lut
    - ocfs2: fix a NULL pointer dereference when call
      ocfs2_update_inode_fsync_trans()
    - lib/scatterlist.c: adjust indentation in __sg_alloc_table
    - reiserfs: prevent NULL pointer dereference in reiserfs_insert_item()
    - bcache: explicity type cast in bset_bkey_last()
    - irqchip/gic-v3-its: Reference to its_invall_cmd descriptor when building
      INVALL
    - iwlwifi: mvm: Fix thermal zone registration
    - microblaze: Prevent the overflow of the start
    - brd: check and limit max_part par
    - drm/amdgpu/smu10: fix smu10_get_clock_by_type_with_latency
    - drm/amdgpu/smu10: fix smu10_get_clock_by_type_with_voltage
    - NFS: Fix memory leaks
    - help_next should increase position index
    - cifs: log warning message (once) if out of disk space
    - virtio_balloon: prevent pfn array overflow
    - mlxsw: spectrum_dpipe: Add missing error path
    - drm/amdgpu/display: handle multiple numbers of fclks in dcn_calcs.c (v2)
    - ath10k: Fix qmi init error handling
    - drm/qxl: Complete exception handling in qxl_device_init()
    - rcu: Fix missed wakeup of exp_wq waiters
    - rcu: Fix data-race due to atomic_t copy-by-value
    - f2fs: preallocate DIO blocks when forcing buffered_io
    - f2fs: call f2fs_balance_fs outside of locked page
    - clk: meson: pll: Fix by 0 division in __pll_params_to_rate()
    - brcmfmac: Fix memory leak in brcmf_p2p_create_p2pdev()
    - PCI: Fix pci_add_dma_alias() bitmask size
    - drm/mipi_dbi: Fix off-by-one bugs in mipi_dbi_blank()
    - media: ov5640: Fix check for PLL1 exceeding max allowed rate
    - char/random: silence a lockdep splat with printk()
    - raid6/test: fix a compilation error
    - drm/amd/display: Clear state after exiting fixed active VRR state
    - clk: ti: dra7: fix parent for gmac_clkctrl
    - wan/hdlc_x25: fix skb handling
    - rtw88: fix rate mask for 1SS chip
    - brcmfmac: sdio: Fix OOB interrupt initialization on brcm43362
    - rtc: i2c/spi: Avoid inclusion of REGMAP support when not needed
    - tracing: Simplify assignment parsing for hist triggers
    - Btrfs: keep pages dirty when using btrfs_writepage_fixup_worker
    - drivers/block/zram/zram_drv.c: fix error return codes not being returned in
      writeback_store
    - clk: qcom: Don't overwrite 'cfg' in clk_rcg2_dfs_populate_freq()
    - drm/amdkfd: Fix a bug in SDMA RLC queue counting under HWS mode
    - ath10k: correct the tlv len of ath10k_wmi_tlv_op_gen_config_pno_start
    - arm64: dts: allwinner: H5: Add PMU node
    - samples/bpf: Set -fno-stack-protector when building BPF programs
    - nfsd: Clone should commit src file metadata too
    - crypto: inside-secure - add unspecified HAS_IOMEM dependency
    - iommu/amd: Only support x2APIC with IVHD type 11h/40h
    - iommu/iova: Silence warnings under memory pressure
    - clk: actually call the clock init before any other callback of the clock
    - bpf: Print error message for bpftool cgroup show
    - ASoC: soc-topology: fix endianness issues
    - fbdev: fix numbering of fbcon options
    - ALSA: hda/realtek - Apply mic mute LED quirk for Dell E7xx laptops, too
    - vfio/spapr/nvlink2: Skip unpinning pages on error exit
    - iommu/vt-d: Match CPU and IOMMU paging mode
    - drm/amdkfd: Fix permissions of hang_hws
    - RDMA/hns: Avoid printing address of mtt page
    - usb: dwc3: use proper initializers for property entries
    - drm/mediatek: Add gamma property according to hardware capability
    - arm64: dts: rockchip: fix dwmmc clock name for px30
    - arm64: dts: rockchip: add reg property to brcmf sub-nodes
    - ARM: dts: rockchip: add reg property to brcmf sub node for
      rk3188-bqedison2qc
    - ALSA: usb-audio: Add boot quirk for MOTU M Series
    - raid6/test: fix a compilation warning
    - dm thin: don't allow changing data device during thin-pool reload
    - kbuild: remove *.tmp file when filechk fails
    - ALSA: usb-audio: unlock on error in probe
    - scsi: ufs: pass device information to apply_dev_quirks
    - ALSA: usb-audio: add implicit fb quirk for MOTU M Series
    - RDMA/mlx5: Don't fake udata for kernel path
    - KVM: PPC: Remove set but not used variable 'ra', 'rs', 'rt'
    - sched/topology: Assert non-NUMA topology masks don't (partially) overlap
    - perf/x86/amd: Constrain Large Increment per Cycle events
    - sunrpc: Fix potential leaks in sunrpc_cache_unhash()
    - btrfs: Fix split-brain handling when changing FSID to metadata uuid
    - alarmtimer: Make alarmtimer platform device child of RTC device
    - powerpc/pseries/lparcfg: Fix display of Maximum Memory
    - rtw88: fix potential NULL skb access in TX ISR
    - cifs: Fix mount options set in automount
    - powerpc/mm: Don't log user reads to 0xffffffff
    - btrfs: do not do delalloc reservation under page lock
    - ocfs2: make local header paths relative to C files
    - nvme-pci: remove nvmeq->tags
  * Disco update: upstream stable patchset 2020-03-20 (LP: #1868290) //
    CVE-2019-19076.
    - Revert "nfp: abm: fix memory leak in nfp_abm_u32_knode_replace"
  * Disco update: upstream stable patchset 2020-03-16 (LP: #1867666)
    - ASoC: pcm: update FE/BE trigger order based on the command
    - hv_sock: Remove the accept port restriction
    - IB/mlx4: Fix memory leak in add_gid error flow
    - RDMA/netlink: Do not always generate an ACK for some netlink operations
    - RDMA/core: Fix locking in ib_uverbs_event_read
    - RDMA/uverbs: Verify MR access flags
    - scsi: ufs: Fix ufshcd_probe_hba() reture value in case
      ufshcd_scsi_add_wlus() fails
    - PCI/IOV: Fix memory leak in pci_iov_add_virtfn()
    - ath10k: pci: Only dump ATH10K_MEM_REGION_TYPE_IOREG when safe
    - PCI/switchtec: Fix vep_vector_number ioread width
    - PCI: Don't disable bridge BARs when assigning bus resources
    - nfs: NFS_SWAP should depend on SWAP
    - NFS: Revalidate the file size on a fatal write error
    - NFS/pnfs: Fix pnfs_generic_prepare_to_resend_writes()
    - NFSv4: try lease recovery on NFS4ERR_EXPIRED
    - serial: uartps: Add a timeout to the tx empty wait
    - rtc: hym8563: Return -EINVAL if the time is known to be invalid
    - rtc: cmos: Stop using shared IRQ
    - ARC: [plat-axs10x]: Add missing multicast filter number to GMAC node
    - platform/x86: intel_mid_powerbtn: Take a copy of ddata
    - ARM: dts: at91: Reenable UART TX pull-ups
    - ARM: dts: am43xx: add support for clkout1 clock
    - ARM: dts: at91: sama5d3: fix maximum peripheral clock rates
    - ARM: dts: at91: sama5d3: define clock rate range for tcb1
    - tools/power/acpi: fix compilation error
    - powerpc/pseries/vio: Fix iommu_table use-after-free refcount warning
    - powerpc/pseries: Allow not having ibm, hypertas-functions::hcall-multi-tce
      for DDW
    - iommu/arm-smmu-v3: Populate VMID field for CMDQ_OP_TLBI_NH_VA
    - KVM: arm/arm64: vgic-its: Fix restoration of unmapped collections
    - ARM: 8949/1: mm: mark free_memmap as __init
    - arm64: cpufeature: Fix the type of no FP/SIMD capability
    - arm64: ptrace: nofpsimd: Fail FP/SIMD regset operations
    - KVM: arm/arm64: Fix young bit from mmu notifier
    - KVM: arm: Fix DFSR setting for non-LPAE aarch32 guests
    - KVM: arm: Make inject_abt32() inject an external abort instead
    - KVM: arm64: pmu: Don't increment SW_INCR if PMCR.E is unset
    - mtd: onenand_base: Adjust indentation in onenand_read_ops_nolock
    - mtd: sharpslpart: Fix unsigned comparison to zero
    - crypto: artpec6 - return correct error code for failed setkey()
    - crypto: atmel-sha - fix error handling when setting hmac key
    - media: i2c: adv748x: Fix unsafe macros
    - pinctrl: sh-pfc: r8a7778: Fix duplicate SDSELF_B and SD1_CLK_B
    - mwifiex: Fix possible buffer overflows in mwifiex_ret_wmm_get_status()
    - mwifiex: Fix possible buffer overflows in mwifiex_cmd_append_vsie_tlv()
    - libertas: don't exit from lbs_ibss_join_existing() with RCU read lock held
    - libertas: make lbs_ibss_join_existing() return error code on rates overflow
    - x86/stackframe: Move ENCODE_FRAME_POINTER to asm/frame.h
    - x86/stackframe, x86/ftrace: Add pt_regs frame annotations
    - serial: uartps: Move the spinlock after the read of the tx empty
    - padata: fix null pointer deref of pd->pinst
    - IB/srp: Never use immediate data if it is disabled by a user
    - IB/mlx4: Fix leak in id_map_find_del
    - RDMA/i40iw: fix a potential NULL pointer dereference
    - RDMA/cma: Fix unbalanced cm_id reference count during address resolve
    - PCI/switchtec: Use dma_set_mask_and_coherent()
    - PCI/AER: Initialize aer_fifo
    - bpf, sockmap: Don't sleep while holding RCU lock on tear-down
    - bpf, sockhash: Synchronize_rcu before free'ing map
    - selftests/bpf: Test freeing sockmap/sockhash with a socket in it
    - bpf, sockmap: Check update requirements after locking
    - NFSv4: pnfs_roc() must use cred_fscmp() to compare creds
    - arm64: dts: qcom: msm8998: Fix tcsr syscon size
    - arm64: dts: renesas: r8a77990: ebisu: Remove clkout-lr-synchronous from
      sound
    - arm64: dts: marvell: clearfog-gt-8k: fix switch cpu port node
    - powerpc/papr_scm: Fix leaking 'bus_desc.provider_name' in some paths
    - ARM: at91: pm: use SAM9X60 PMC's compatible
    - sched/uclamp: Fix a bug in propagating uclamp value in new cgroups
    - arm64: cpufeature: Set the FP/SIMD compat HWCAP bits properly
    - arm64: nofpsmid: Handle TIF_FOREIGN_FPSTATE flag cleanly
    - crypto: caam/qi2 - fix typo in algorithm's driver name
    - drivers: watchdog: stm32_iwdg: set WDOG_HW_RUNNING at probe
    - selinux: fall back to ref-walk if audit is required
    - Input: synaptics - switch T470s to RMI4 by default
    - Input: synaptics - enable SMBus on ThinkPad L470
    - Input: synaptics - remove the LEN0049 dmi id from topbuttonpad list
    - ALSA: usb-audio: Fix UAC2/3 effect unit parsing
    - ALSA: hda/realtek - Fix silent output on MSI-GL73
    - ALSA: usb-audio: Apply sample rate quirk for Audioengine D1
    - ALSA: usb-audio: sound: usb: usb true/false for bool return type
    - ALSA: usb-audio: Add clock validity quirk for Denon MC7000/MCX8000
    - ext4: don't assume that mmp_nodename/bdevname have NUL
    - ext4: fix support for inode sizes > 1024 bytes
    - ext4: fix checksum errors with indexed dirs
    - ext4: add cond_resched() to ext4_protect_reserved_inode
    - ext4: improve explanation of a mount failure caused by a misconfigured
      kernel
    - Btrfs: fix race between using extent maps and merging them
    - btrfs: ref-verify: fix memory leaks
    - btrfs: print message when tree-log replay starts
    - btrfs: log message when rw remount is attempted with unclean tree-log
    - ARM: npcm: Bring back GPIOLIB support
    - arm64: ssbs: Fix context-switch when SSBS is present on all CPUs
    - perf/x86/amd: Add missing L2 misses event spec to AMD Family 17h's event map
    - nvme: fix the parameter order for nvme_get_log in nvme_get_fw_slot_info
    - IB/hfi1: Acquire lock to release TID entries when user file is closed
    - IB/hfi1: Close window for pq and request coliding
    - IB/rdmavt: Reset all QPs when the device is shut down
    - RDMA/core: Fix invalid memory access in spec_filter_size
    - RDMA/hfi1: Fix memory leak in _dev_comp_vect_mappings_create
    - RDMA/rxe: Fix soft lockup problem due to using tasklets in softirq
    - RDMA/core: Fix protection fault in get_pkey_idx_qp_list
    - s390/time: Fix clk type in get_tod_clock
    - perf/x86/intel: Fix inaccurate period in context switch for auto-reload
    - hwmon: (pmbus/ltc2978) Fix PMBus polling of MFR_COMMON definitions.
    - NFSv4.1 make cachethis=no for writes
    - jbd2: move the clearing of b_modified flag to the journal_unmap_buffer()
    - jbd2: do not clear the BH_Mapped flag when forgetting a metadata buffer
    - KVM: x86/mmu: Fix struct guest_walker arrays for 5-level paging
    - ALSA: hda/realtek - Add more codec supported Headset Button
    - gpio: xilinx: Fix bug where the wrong GPIO register is written to
    - cifs: make sure we do not overflow the max EA buffer size
    - EDAC/sysfs: Remove csrow objects on errors
    - KVM: nVMX: Use correct root level for nested EPT shadow page tables
    - drm/vgem: Close use-after-free race in vgem_gem_create
    - KVM: x86: Mask off reserved bit from #DB exception payload
    - ext4: choose hardlimit when softlimit is larger than hardlimit in
      ext4_statfs_project()
    - gpio: add gpiod_toggle_active_low()
  * Support SMO8840 as LIS2DH12 (LP: #1869694)
    - iio: st_sensors: remap SMO8840 to LIS2DH12
  * update-version-dkms doesn't add a BugLink (LP: #1867790)
    - [Packaging] Add BugLink to update-version-dkms commit

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 10 Apr 2020 15:22:35 +0800

linux-oem-osp1 (5.0.0-1047.52) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1047.52 -proposed tracker (LP: #1869351)

  * ucsi_ccg 50 second hang while resuming from s2ram with nvidia, recent
    kernels (LP: #1850238)
    - i2c: nvidia-gpu: Handle timeout correctly in gpu_i2c_check_status()

  * All PS/2 ports on PS/2 Serial add-in bracket are not working after S3
    (LP: #1866734)
    - Revert "UBUNTU: SAUCE: Input: i8042 - Fix the selftest retry logic"
    - SAUCE: Input: i8042 - fix the selftest retry logic

  [ Ubuntu: 5.0.0-45.49 ]

  * disco/linux: 5.0.0-45.49 -proposed tracker (LP: #1868954)
  * Missing wireless network interface after kernel 5.3.0-43 upgrade with eoan
    (LP: #1868442)
    - iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168 devices

  [ Ubuntu: 5.0.0-44.48 ]

  * disco/linux: 5.0.0-44.48 -proposed tracker (LP: #1867284)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts
  * Disco update: upstream stable patchset 2020-03-10 (LP: #1866858)
    - Revert "drm/sun4i: dsi: Change the start delay calculation"
    - ovl: fix lseek overflow on 32bit
    - kernel/module: Fix memleak in module_add_modinfo_attrs()
    - media: iguanair: fix endpoint sanity check
    - ocfs2: fix oops when writing cloned file
    - x86/cpu: Update cached HLE state on write to TSX_CTRL_CPUID_CLEAR
    - udf: Allow writing to 'Rewritable' partitions
    - printk: fix exclusive_console replaying
    - iwlwifi: mvm: fix NVM check for 3168 devices
    - sparc32: fix struct ipc64_perm type definition
    - cls_rsvp: fix rsvp_policy
    - gtp: use __GFP_NOWARN to avoid memalloc warning
    - l2tp: Allow duplicate session creation with UDP
    - net: hsr: fix possible NULL deref in hsr_handle_frame()
    - net_sched: fix an OOB access in cls_tcindex
    - net: stmmac: Delete txtimer in suspend()
    - bnxt_en: Fix TC queue mapping.
    - tcp: clear tp->total_retrans in tcp_disconnect()
    - tcp: clear tp->delivered in tcp_disconnect()
    - tcp: clear tp->data_segs{in|out} in tcp_disconnect()
    - tcp: clear tp->segs_{in|out} in tcp_disconnect()
    - rxrpc: Fix use-after-free in rxrpc_put_local()
    - rxrpc: Fix insufficient receive notification generation
    - rxrpc: Fix missing active use pinning of rxrpc_local object
    - rxrpc: Fix NULL pointer deref due to call->conn being cleared on disconnect
    - media: uvcvideo: Avoid cyclic entity chains due to malformed USB descriptors
    - mfd: dln2: More sanity checking for endpoints
    - ipc/msg.c: consolidate all xxxctl_down() functions
    - tracing: Fix sched switch start/stop refcount racy updates
    - rcu: Avoid data-race in rcu_gp_fqs_check_wake()
    - brcmfmac: Fix memory leak in brcmf_usbdev_qinit
    - usb: typec: tcpci: mask event interrupts when remove driver
    - usb: gadget: legacy: set max_speed to super-speed
    - usb: gadget: f_ncm: Use atomic_t to track in-flight request
    - usb: gadget: f_ecm: Use atomic_t to track in-flight request
    - ALSA: usb-audio: Fix endianess in descriptor validation
    - ALSA: dummy: Fix PCM format loop in proc output
    - mm/memory_hotplug: fix remove_memory() lockdep splat
    - mm: move_pages: report the number of non-attempted pages
    - media/v4l2-core: set pages dirty upon releasing DMA buffers
    - media: v4l2-core: compat: ignore native command codes
    - media: v4l2-rect.h: fix v4l2_rect_map_inside() top/left adjustments
    - lib/test_kasan.c: fix memory leak in kmalloc_oob_krealloc_more()
    - irqdomain: Fix a memory leak in irq_domain_push_irq()
    - platform/x86: intel_scu_ipc: Fix interrupt support
    - ALSA: hda: Add Clevo W65_67SB the power_save blacklist
    - KVM: arm64: Correct PSTATE on exception entry
    - KVM: arm/arm64: Correct CPSR on exception entry
    - KVM: arm/arm64: Correct AArch32 SPSR on exception entry
    - KVM: arm64: Only sign-extend MMIO up to register width
    - MIPS: fix indentation of the 'RELOCS' message
    - MIPS: boot: fix typo in 'vmlinux.lzma.its' target
    - s390/mm: fix dynamic pagetable upgrade for hugetlbfs
    - powerpc/xmon: don't access ASDR in VMs
    - powerpc/pseries: Advance pfn if section is not present in lmb_is_removable()
    - smb3: fix signing verification of large reads
    - PCI: tegra: Fix return value check of pm_runtime_get_sync()
    - mmc: spi: Toggle SPI polarity, do not hardcode it
    - ACPI: video: Do not export a non working backlight interface on MSI MS-7721
      boards
    - ACPI / battery: Deal with design or full capacity being reported as -1
    - ACPI / battery: Use design-cap for capacity calculations if full-cap is not
      available
    - ACPI / battery: Deal better with neither design nor full capacity not being
      reported
    - alarmtimer: Unregister wakeup source when module get fails
    - ubifs: Reject unsupported ioctl flags explicitly
    - ubifs: don't trigger assertion on invalid no-key filename
    - ubifs: Fix FS_IOC_SETFLAGS unexpectedly clearing encrypt flag
    - ubifs: Fix deadlock in concurrent bulk-read and writepage
    - PCI: keystone: Fix link training retries initiation
    - mmc: sdhci-of-at91: fix memleak on clk_get failure
    - hv_balloon: Balloon up according to request page number
    - mfd: axp20x: Mark AXP20X_VBUS_IPSOUT_MGMT as volatile
    - crypto: api - Check spawn->alg under lock in crypto_drop_spawn
    - crypto: ccree - fix backlog memory leak
    - crypto: ccree - fix pm wrongful error reporting
    - crypto: ccree - fix PM race condition
    - scripts/find-unused-docs: Fix massive false positives
    - scsi: qla2xxx: Fix mtcp dump collection failure
    - power: supply: ltc2941-battery-gauge: fix use-after-free
    - ovl: fix wrong WARN_ON() in ovl_cache_update_ino()
    - f2fs: choose hardlimit when softlimit is larger than hardlimit in
      f2fs_statfs_project()
    - f2fs: fix miscounted block limit in f2fs_statfs_project()
    - f2fs: code cleanup for f2fs_statfs_project()
    - PM: core: Fix handling of devices deleted during system-wide resume
    - [Config] updateconfigs for CONFIG_OF_DMA_DEFAULT_COHERENT
    - of: Add OF_DMA_DEFAULT_COHERENT & select it on powerpc
    - dm zoned: support zone sizes smaller than 128MiB
    - dm space map common: fix to ensure new block isn't already in use
    - dm crypt: fix benbi IV constructor crash if used in authenticated mode
    - dm writecache: fix incorrect flush sequence when doing SSD mode commit
    - padata: Remove broken queue flushing
    - tracing: Annotate ftrace_graph_hash pointer with __rcu
    - tracing: Annotate ftrace_graph_notrace_hash pointer with __rcu
    - ftrace: Add comment to why rcu_dereference_sched() is open coded
    - ftrace: Protect ftrace_graph_hash with ftrace_sync
    - samples/bpf: Don't try to remove user's homedir on clean
    - crypto: ccp - set max RSA modulus size for v3 platform devices as well
    - crypto: pcrypt - Do not clear MAY_SLEEP flag in original request
    - crypto: atmel-aes - Fix counter overflow in CTR mode
    - crypto: api - Fix race condition in crypto_spawn_alg
    - crypto: picoxcell - adjust the position of tasklet_init and fix missed
      tasklet_kill
    - scsi: qla2xxx: Fix unbound NVME response length
    - NFS: Fix memory leaks and corruption in readdir
    - NFS: Directory page cache pages need to be locked when read
    - jbd2_seq_info_next should increase position index
    - Btrfs: fix missing hole after hole punching and fsync when using NO_HOLES
    - btrfs: set trans->drity in btrfs_commit_transaction
    - Btrfs: fix race between adding and putting tree mod seq elements and nodes
    - ARM: tegra: Enable PLLP bypass during Tegra124 LP1
    - iwlwifi: don't throw error when trying to remove IGTK
    - mwifiex: fix unbalanced locking in mwifiex_process_country_ie()
    - sunrpc: expiry_time should be seconds not timeval
    - gfs2: move setting current->backing_dev_info
    - gfs2: fix O_SYNC write handling
    - drm/rect: Avoid division by zero
    - media: rc: ensure lirc is initialized before registering input device
    - tools/kvm_stat: Fix kvm_exit filter name
    - xen/balloon: Support xend-based toolstack take two
    - watchdog: fix UAF in reboot notifier handling in watchdog core code
    - bcache: add readahead cache policy options via sysfs interface
    - eventfd: track eventfd_signal() recursion depth
    - aio: prevent potential eventfd recursion on poll
    - KVM: x86: Refactor picdev_write() to prevent Spectre-v1/L1TF attacks
    - KVM: x86: Refactor prefix decoding to prevent Spectre-v1/L1TF attacks
    - KVM: x86: Protect pmu_intel.c from Spectre-v1/L1TF attacks
    - KVM: x86: Protect DR-based index computations from Spectre-v1/L1TF attacks
    - KVM: x86: Protect kvm_lapic_reg_write() from Spectre-v1/L1TF attacks
    - KVM: x86: Protect kvm_hv_msr_[get|set]_crash_data() from Spectre-v1/L1TF
      attacks
    - KVM: x86: Protect ioapic_write_indirect() from Spectre-v1/L1TF attacks
    - KVM: x86: Protect MSR-based index computations in pmu.h from Spectre-v1/L1TF
      attacks
    - KVM: x86: Protect ioapic_read_indirect() from Spectre-v1/L1TF attacks
    - KVM: x86: Protect MSR-based index computations from Spectre-v1/L1TF attacks
      in x86.c
    - KVM: x86: Protect x86_decode_insn from Spectre-v1/L1TF attacks
    - KVM: x86: Protect MSR-based index computations in fixed_msr_to_seg_unit()
      from Spectre-v1/L1TF attacks
    - KVM: x86: Fix potential put_fpu() w/o load_fpu() on MPX platform
    - KVM: PPC: Book3S HV: Uninit vCPU if vcore creation fails
    - KVM: PPC: Book3S PR: Free shared page if mmu initialization fails
    - KVM: x86: Don't let userspace set host-reserved cr4 bits
    - KVM: x86: Free wbinvd_dirty_mask if vCPU creation fails
    - KVM: s390: do not clobber registers during guest reset/store status
    - clk: tegra: Mark fuse clock as critical
    - drm/amd/dm/mst: Ignore payload update failures
    - percpu: Separate decrypted varaibles anytime encryption can be enabled
    - scsi: qla2xxx: Fix the endianness of the qla82xx_get_fw_size() return type
    - scsi: csiostor: Adjust indentation in csio_device_reset
    - scsi: qla4xxx: Adjust indentation in qla4xxx_mem_free
    - scsi: ufs: Recheck bkops level if bkops is disabled
    - phy: qualcomm: Adjust indentation in read_poll_timeout
    - ext2: Adjust indentation in ext2_fill_super
    - powerpc/44x: Adjust indentation in ibm4xx_denali_fixup_memsize
    - drm: msm: mdp4: Adjust indentation in mdp4_dsi_encoder_enable
    - NFC: pn544: Adjust indentation in pn544_hci_check_presence
    - ppp: Adjust indentation into ppp_async_input
    - net: smc911x: Adjust indentation in smc911x_phy_configure
    - net: tulip: Adjust indentation in {dmfe, uli526x}_init_module
    - IB/mlx5: Fix outstanding_pi index for GSI qps
    - IB/core: Fix ODP get user pages flow
    - nfsd: fix delay timer on 32-bit architectures
    - nfsd: fix jiffies/time_t mixup in LRU list
    - nfsd: Return the correct number of bytes written to the file
    - ubi: fastmap: Fix inverted logic in seen selfcheck
    - ubi: Fix an error pointer dereference in error handling code
    - mfd: da9062: Fix watchdog compatible string
    - mfd: rn5t618: Mark ADC control register volatile
    - bonding/alb: properly access headers in bond_alb_xmit()
    - net: dsa: bcm_sf2: Only 7278 supports 2Gb/sec IMP port
    - net: mvneta: move rx_dropped and rx_errors in per-cpu stats
    - net_sched: fix a resource leak in tcindex_set_parms()
    - net: systemport: Avoid RBUF stuck in Wake-on-LAN mode
    - net/mlx5: IPsec, Fix esp modify function attribute
    - net/mlx5: IPsec, fix memory leak at mlx5_fpga_ipsec_delete_sa_ctx
    - net: macb: Remove unnecessary alignment check for TSO
    - net: macb: Limit maximum GEM TX length in TSO
    - net: dsa: b53: Always use dev->vlan_enabled in b53_configure_vlan()
    - ext4: fix deadlock allocating crypto bounce page from mempool
    - btrfs: use bool argument in free_root_pointers()
    - btrfs: free block groups after free'ing fs trees
    - drm: atmel-hlcdc: enable clock before configuring timing engine
    - drm/dp_mst: Remove VCPI while disabling topology mgr
    - btrfs: flush write bio if we loop in extent_write_cache_pages
    - KVM: x86/mmu: Apply max PA check for MMIO sptes to 32-bit KVM
    - KVM: x86: Use gpa_t for cr2/gpa to fix TDP support on 32-bit KVM
    - KVM: nVMX: vmread should not set rflags to specify success in case of #PF
    - KVM: Use vcpu-specific gva->hva translation when querying host page size
    - KVM: Play nice with read-only memslots when querying host page size
    - mm/page_alloc.c: fix uninitialized memmaps on a partially populated last
      section
    - cifs: fail i/o on soft mounts if sessionsetup errors out
    - x86/apic/msi: Plug non-maskable MSI affinity race
    - clocksource: Prevent double add_timer_on() for watchdog_timer
    - perf/core: Fix mlock accounting in perf_mmap()
    - rxrpc: Fix service call disconnection
    - tracing/kprobes: Have uname use __get_str() in print_fmt
    - rcu: Use *_ONCE() to protect lockless ->expmask accesses
    - srcu: Apply *_ONCE() to ->srcu_last_gp_end
    - nvmet: Fix error print message at nvmet_install_queue function
    - nvmet: Fix controller use after free
    - usb: gadget: f_fs: set req->num_sgs as 0 for non-sg transfer
    - ALSA: hda: Add JasperLake PCI ID and codec vid
    - arm64: acpi: fix DAIF manipulation with pNMI
    - MIPS: syscalls: fix indentation of the 'SYSNR' message
    - PCI: keystone: Fix outbound region mapping
    - ubifs: Fix wrong memory allocation
    - nvmem: core: fix memory abort in cleanup path
    - fs: allow deduplication of eof block into the end of the destination file
    - scsi: megaraid_sas: Do not initiate OCR if controller is not in ready state
    - power: supply: axp20x_ac_power: Fix reporting online status
    - ARM: dma-api: fix max_pfn off-by-one error in __dma_supported()
    - scsi: qla2xxx: Fix stuck login session using prli_pend_timer
    - btrfs: fix improper setting of scanned for range cyclic write cache pages
    - btrfs: Handle another split brain scenario with metadata uuid feature
    - tc-testing: fix eBPF tests failure on linux fresh clones
    - selftests: bpf: Use a temporary file in test_sockmap
    - crypto: api - fix unexpectedly getting generic implementation
    - crypto: hisilicon - Use the offset fields in sqe to avoid need to split
      scatterlists
    - btrfs: drop log root for dropped roots
    - drm: atmel-hlcdc: prefer a lower pixel-clock than requested
    - KVM: VMX: Add non-canonical check on writes to RTIT address MSRs
    - virtio-balloon: initialize all vq callbacks
    - virtio-pci: check name when counting MSI-X vectors
    - virtio-balloon: Fix memory leak when unloading while hinting is in progress
    - virtio_balloon: Fix memory leaks on errors in virtballoon_probe()
    - ubifs: Fix memory leak from c->sup_node
    - regulator: core: Add regulator_is_equal() helper
    - ASoC: sgtl5000: Fix VDDA and VDDIO comparison
    - dpaa_eth: support all modes with rate adapting PHYs
    - net: dsa: microchip: enable module autoprobe
    - taprio: Use taprio_reset_tc() to reset Traffic Classes configuration
    - x86/timer: Don't skip PIT setup when APIC is disabled or in legacy mode
    - regulator fix for "regulator: core: Add regulator_is_equal() helper"
  * 5.4.0-11 crash on cryptsetup open (LP: #1860231) // Disco update: upstream
    stable patchset 2020-03-10 (LP: #1866858)
    - dm: fix potential for q->make_request_fn NULL pointer
  * xfs fill_fs test in fallocate06 from ubuntu_ltp_syscalls failed
    (LP: #1865967)
    - xfs: Fix tail rounding in xfs_alloc_file_space()
  * ipc/sem.c : process loops infinitely in exit_sem() (LP: #1858834)
    - Revert "ipc, sem: remove uneeded sem_undo_list lock usage in exit_sem()"
  * ftrace test in ubuntu_kernel_selftests will timeout randomly (LP: #1864172)
    - tracing/selftests: Turn off timeout setting
  * quotactl07 from ubuntu_ltp_syscalls failed (LP: #1864092)
    - xfs: Sanity check flags of Q_XQUOTARM call
  * Disabling bpf() syscall on kernel lockdown break apps when secure boot is on
    (LP: #1863234)
    - bpf: Restrict bpf when kernel lockdown is in confidentiality mode
    - Revert "UBUNTU: SAUCE: (efi-lockdown) bpf: Restrict kernel image access
      functions when the kernel is locked down"
  * Disco update: upstream stable patchset 2020-03-05 (LP: #1866227)
    - orinoco_usb: fix interface sanity check
    - rsi_91x_usb: fix interface sanity check
    - usb: dwc3: pci: add ID for the Intel Comet Lake -V variant
    - USB: serial: ir-usb: add missing endpoint sanity check
    - USB: serial: ir-usb: fix link-speed handling
    - USB: serial: ir-usb: fix IrLAP framing
    - usb: dwc3: turn off VBUS when leaving host mode
    - staging: most: net: fix buffer overflow
    - staging: wlan-ng: ensure error return is actually returned
    - staging: vt6656: correct packet types for CTS protect, mode.
    - staging: vt6656: use NULLFUCTION stack on mac80211
    - staging: vt6656: Fix false Tx excessive retries reporting.
    - serial: 8250_bcm2835aux: Fix line mismatch on driver unbind
    - component: do not dereference opaque pointer in debugfs
    - mei: me: add comet point (lake) H device ids
    - iio: st_gyro: Correct data for LSM9DS0 gyro
    - crypto: chelsio - fix writing tfm flags to wrong place
    - cifs: Fix memory allocation in __smb2_handle_cancelled_cmd()
    - ath9k: fix storage endpoint lookup
    - brcmfmac: fix interface sanity check
    - rtl8xxxu: fix interface sanity check
    - zd1211rw: fix storage endpoint lookup
    - net_sched: ematch: reject invalid TCF_EM_SIMPLE
    - net_sched: fix ops->bind_class() implementations
    - arc: eznps: fix allmodconfig kconfig warning
    - HID: Add quirk for Xin-Mo Dual Controller
    - HID: ite: Add USB id match for Acer SW5-012 keyboard dock
    - HID: Add quirk for incorrect input length on Lenovo Y720
    - drivers/hid/hid-multitouch.c: fix a possible null pointer access.
    - phy: qcom-qmp: Increase PHY ready timeout
    - phy: cpcap-usb: Prevent USB line glitches from waking up modem
    - watchdog: max77620_wdt: fix potential build errors
    - watchdog: rn5t618_wdt: fix module aliases
    - spi: spi-dw: Add lock protect dw_spi rx/tx to prevent concurrent calls
    - drivers/net/b44: Change to non-atomic bit operations on pwol_mask
    - net: wan: sdla: Fix cast from pointer to integer of different size
    - gpio: max77620: Add missing dependency on GPIOLIB_IRQCHIP
    - atm: eni: fix uninitialized variable warning
    - HID: steam: Fix input device disappearing
    - platform/x86: dell-laptop: disable kbd backlight on Inspiron 10xx
    - PCI: Add DMA alias quirk for Intel VCA NTB
    - iommu/amd: Support multiple PCI DMA aliases in IRQ Remapping
    - ARM: OMAP2+: SmartReflex: add omap_sr_pdata definition
    - usb-storage: Disable UAS on JMicron SATA enclosure
    - sched/fair: Add tmp_alone_branch assertion
    - sched/fair: Fix insertion in rq->leaf_cfs_rq_list
    - rsi: fix use-after-free on probe errors
    - rsi: fix memory leak on failed URB submission
    - rsi: fix non-atomic allocation in completion handler
    - crypto: af_alg - Use bh_lock_sock in sk_destruct
    - random: try to actively add entropy rather than passively wait for it
    - serial: imx: fix a race condition in receive path
    - debugfs: Return -EPERM when locked down
    - CIFS: Fix task struct use-after-free on reconnect
    - net_sched: walk through all child classes in tc_bind_tclass()
    - udp: segment looped gso packets correctly
    - HID: asus: Ignore Asus vendor-page usage-code 0xff events
    - HID: intel-ish-hid: ipc: add EHL device id
    - HID: intel-ish-hid: ipc: add CMP device id
    - HID: wacom: add new MobileStudio Pro support
    - HID: wacom: generic: add touchring adjustment for 2nd Gen Pro Small
    - HID: wacom: add new MobileStudio Pro 13 support
    - HID: wacom: Recognize new MobileStudio Pro PID
    - ASoC: topology: Prevent use-after-free in snd_soc_get_pcm_runtime()
    - HID: intel-ish-hid: ipc: Add Tiger Lake PCI device ID
    - usb: musb: jz4740: Silence error if code is -EPROBE_DEFER
    - ASoC: Intel: cht_bsw_rt5645: Add quirk for boards using pmc_plt_clk_0
    - spi: pxa2xx: Add support for Intel Comet Lake-H
    - ARM: config: aspeed-g5: Enable 8250_DW quirks
    - mmc: sdhci-pci: Add support for Intel JSL
    - rsi: fix use-after-free on failed probe and unbind
    - crypto: pcrypt - Fix user-after-free on module unload
    - vfs: fix do_last() regression
    - x86/resctrl: Fix use-after-free when deleting resource groups
    - x86/resctrl: Fix use-after-free due to inaccurate refcount of rdtgroup
    - x86/resctrl: Fix a deadlock due to inaccurate reference
    - rsi: add hci detach for hibernation and poweroff
    - perf c2c: Fix return type for histogram sorting comparision functions
    - PM / devfreq: Add new name attribute for sysfs
    - tools lib: Fix builds when glibc contains strlcpy()
    - arm64: kbuild: remove compressed images on 'make ARCH=arm64 (dist)clean'
    - ext4: validate the debug_want_extra_isize mount option at parse time
    - mm/mempolicy.c: fix out of bounds write in mpol_parse_str()
    - reiserfs: Fix memory leak of journal device string
    - media: digitv: don't continue if remote control state can't be read
    - media: af9005: uninitialized variable printked
    - media: vp7045: do not read uninitialized values if usb transfer fails
    - media: gspca: zero usb_buf
    - media: dvb-usb/dvb-usb-urb.c: initialize actlen to 0
    - tomoyo: Use atomic_t for statistics counter
    - ttyprintk: fix a potential deadlock in interrupt context issue
    - Bluetooth: Fix race condition in hci_release_sock()
    - cgroup: Prevent double killing of css when enabling threaded cgroup
    - media: si470x-i2c: Move free() past last use of 'radio'
    - ARM: dts: sun8i: a83t: Correct USB3503 GPIOs polarity
    - ARM: dts: am57xx-beagle-x15/am57xx-idk: Remove "gpios" for endpoint dt nodes
    - ARM: dts: beagle-x15-common: Model 5V0 regulator
    - soc: ti: wkup_m3_ipc: Fix race condition with rproc_boot
    - tools lib traceevent: Fix memory leakage in filter_event
    - rseq: Unregister rseq for clone CLONE_VM
    - clk: sunxi-ng: h6-r: Fix AR100/R_APB2 parent order
    - mac80211: mesh: restrict airtime metric to peered established plinks
    - clk: mmp2: Fix the order of timer mux parents
    - ASoC: rt5640: Fix NULL dereference on module unload
    - ixgbevf: Remove limit of 10 entries for unicast filter list
    - ixgbe: Fix calculation of queue with VFs and flow director on interface flap
    - igb: Fix SGMII SFP module discovery for 100FX/LX.
    - platform/x86: GPD pocket fan: Allow somewhat lower/higher temperature limits
    - ASoC: sti: fix possible sleep-in-atomic
    - qmi_wwan: Add support for Quectel RM500Q
    - parisc: Use proper printk format for resource_size_t
    - wireless: fix enabling channel 12 for custom regulatory domain
    - cfg80211: Fix radar event during another phy CAC
    - mac80211: Fix TKIP replay protection immediately after key setup
    - wireless: wext: avoid gcc -O3 warning
    - riscv: delete temporary files
    - iwlwifi: Don't ignore the cap field upon mcc update
    - ARM: dts: am335x-boneblack-common: fix memory size
    - vti[6]: fix packet tx through bpf_redirect()
    - xfrm interface: fix packet tx through bpf_redirect()
    - xfrm: interface: do not confirm neighbor when do pmtu update
    - scsi: fnic: do not queue commands during fwreset
    - ARM: 8955/1: virt: Relax arch timer version check during early boot
    - tee: optee: Fix compilation issue with nommu
    - r8152: get default setting of WOL before initializing
    - ARM: dts: am43x-epos-evm: set data pin directions for spi0 and spi1
    - qlcnic: Fix CPU soft lockup while collecting firmware dump
    - powerpc/fsl/dts: add fsl,erratum-a011043
    - net/fsl: treat fsl,erratum-a011043
    - net: fsl/fman: rename IF_MODE_XGMII to IF_MODE_10G
    - seq_tab_next() should increase position index
    - l2t_seq_next should increase position index
    - net: Fix skb->csum update in inet_proto_csum_replace16().
    - btrfs: do not zero f_bavail if we have available space
    - perf report: Fix no libunwind compiled warning break s390 issue
    - mm/migrate.c: also overwrite error when it is bigger than zero
    - cifs: fix soft mounts hanging in the reconnect code
    - e1000e: Drop unnecessary __E1000_DOWN bit twiddling
    - i40e: Fix virtchnl_queue_select bitmap validation
    - iavf: remove current MAC address filter on VF reset
    - ASoC: hdac_hda: Fix error in driver removal after failed probe
    - perf/x86/intel/uncore: Add PCI ID of IMC for Xeon E3 V5 Family
    - XArray: Fix xas_pause at ULONG_MAX
    - Input: evdev - convert kzalloc()/vzalloc() to kvzalloc()
    - r8152: disable U2P3 for RTL8153B
    - r8152: Disable PLA MCU clock speed down
    - r8152: disable test IO for RTL8153B
    - r8152: avoid the MCU to clear the lanwake
    - r8152: disable DelayPhyPwrChg
    - netfilter: conntrack: sctp: use distinct states for new SCTP connections
    - flow_dissector: Fix to use new variables for port ranges in bpf hook
  * Disco update: upstream stable patchset 2020-02-24 (LP: #1864552)
    - firestream: fix memory leaks
    - gtp: make sure only SOCK_DGRAM UDP sockets are accepted
    - ipv6: sr: remove SKB_GSO_IPXIP6 on End.D* actions
    - net: bcmgenet: Use netif_tx_napi_add() for TX NAPI
    - net: cxgb3_main: Add CAP_NET_ADMIN check to CHELSIO_GET_MEM
    - net: ip6_gre: fix moving ip6gre between namespaces
    - net, ip6_tunnel: fix namespaces move
    - net, ip_tunnel: fix namespaces move
    - net: rtnetlink: validate IFLA_MTU attribute in rtnl_create_link()
    - net_sched: fix datalen for ematch
    - net-sysfs: Fix reference count leak in rx|netdev_queue_add_kobject
    - net-sysfs: fix netdev_queue_add_kobject() breakage
    - net-sysfs: Call dev_hold always in netdev_queue_add_kobject
    - net-sysfs: Call dev_hold always in rx_queue_add_kobject
    - net-sysfs: Fix reference count leak
    - net: usb: lan78xx: Add .ndo_features_check
    - Revert "udp: do rmem bulk free even if the rx sk queue is empty"
    - tcp_bbr: improve arithmetic division in bbr_update_bw()
    - tcp: do not leave dangling pointers in tp->highest_sack
    - tun: add mutex_unlock() call and napi.skb clearing in tun_get_user()
    - afs: Fix characters allowed into cell names
    - hwmon: (adt7475) Make volt2reg return same reg as reg2volt input
    - hwmon: (core) Do not use device managed functions for memory allocations
    - PCI: Mark AMD Navi14 GPU rev 0xc5 ATS as broken
    - tracing: trigger: Replace unneeded RCU-list traversals
    - Input: keyspan-remote - fix control-message timeouts
    - Revert "Input: synaptics-rmi4 - don't increment rmiaddr for SMBus transfers"
    - ARM: 8950/1: ftrace/recordmcount: filter relocation types
    - mmc: tegra: fix SDR50 tuning override
    - mmc: sdhci: fix minimum clock rate for v3 controller
    - Documentation: Document arm64 kpti control
    - Input: pm8xxx-vib - fix handling of separate enable register
    - Input: sur40 - fix interface sanity checks
    - Input: gtco - fix endpoint sanity check
    - Input: aiptek - fix endpoint sanity check
    - Input: pegasus_notetaker - fix endpoint sanity check
    - Input: sun4i-ts - add a check for devm_thermal_zone_of_sensor_register
    - netfilter: nft_osf: add missing check for DREG attribute
    - hwmon: (nct7802) Fix voltage limits to wrong registers
    - scsi: RDMA/isert: Fix a recently introduced regression related to logout
    - tracing: xen: Ordered comparison of function pointers
    - do_last(): fetch directory ->i_mode and ->i_uid before it's too late
    - net/sonic: Add mutual exclusion for accessing shared state
    - net/sonic: Clear interrupt flags immediately
    - net/sonic: Use MMIO accessors
    - net/sonic: Fix interface error stats collection
    - net/sonic: Fix receive buffer handling
    - net/sonic: Avoid needless receive descriptor EOL flag updates
    - net/sonic: Improve receive descriptor status flag check
    - net/sonic: Fix receive buffer replenishment
    - net/sonic: Quiesce SONIC before re-initializing descriptor memory
    - net/sonic: Fix command register usage
    - net/sonic: Fix CAM initialization
    - net/sonic: Prevent tx watchdog timeout
    - tracing: Fix histogram code when expression has same var as value
    - coresight: etb10: Do not call smp_processor_id from preemptible
    - coresight: tmc-etf: Do not call smp_processor_id from preemptible
    - libertas: Fix two buffer overflows at parsing bss descriptor
    - media: v4l2-ioctl.c: zero reserved fields for S/TRY_FMT
    - netfilter: ipset: use bitmap infrastructure completely
    - netfilter: nf_tables: add __nft_chain_type_get()
    - net/x25: fix nonblocking connect
    - arm64/mm: add temporary arch_remove_memory() implementation
    - drivers/base/memory.c: clean up relics in function parameters
    - mm/memory_hotplug: make unregister_memory_section() never fail
    - mm/memory_hotplug: make __remove_section() never fail
    - powerpc/mm: Fix section mismatch warning
    - mm/memory_hotplug: make __remove_pages() and arch_remove_memory() never fail
    - s390x/mm: implement arch_remove_memory()
    - mm/memory_hotplug: allow arch_remove_memory() without
      CONFIG_MEMORY_HOTREMOVE
    - drivers/base/memory: pass a block_id to init_memory_block()
    - mm/memory_hotplug: create memory block devices after arch_add_memory()
    - mm/memory_hotplug: remove memory block devices before arch_remove_memory()
    - mm/memory_hotplug: make unregister_memory_block_under_nodes() never fail
    - mm/memory_hotplug: remove "zone" parameter from sparse_remove_one_section
    - mm/hotplug: kill is_dev_zone() usage in __remove_pages()
    - drivers/base/node.c: simplify unregister_memory_block_under_nodes()
    - mm/memory_hotplug: fix try_offline_node()
    - mm/memory_hotplug: shrink zones when offlining memory
    - airo: Fix possible info leak in AIROOLDIOCTL/SIOCDEVPRIVATE
    - airo: Add missing CAP_NET_ADMIN check in AIROOLDIOCTL/SIOCDEVPRIVATE
    - mlxsw: spectrum_acl: Fix use-after-free during reload
    - net/mlx5: Fix lowest FDB pool size
    - net/mlx5: Update the list of the PCI supported devices
    - ipv4: Detect rollover in specific fib table dump
    - XArray: Fix infinite loop with entry at ULONG_MAX
    - XArray: Fix xa_find_after with multi-index entries
    - XArray: Fix xas_find returning too many entries
    - mmc: sdhci_am654: Reset Command and Data line after tuning
    - mlxsw: switchx2: Do not modify cloned SKBs during xmit
    - net/tls: fix async operation
    - lib: Reduce user_access_begin() boundaries in strncpy_from_user() and
      strnlen_user()
    - iommu/amd: Fix IOMMU perf counter clobbering during init
    - readdir: make user_access_begin() use the real access range
    - hwmon: (nct7802) Fix non-working alarm on voltages
    - drm/i915/userptr: fix size calculation
    - xfrm: support output_mark for offload ESP packets
    - net, sk_msg: Don't check if sock is locked when tearing down psock
    - readdir: be more conservative with directory entry names
    - netfilter: nf_tables: autoload modules from the abort path
  * Disco update: upstream stable patchset 2020-02-18 (LP: #1863780)
    - Revert "efi: Fix debugobjects warning on 'efi_rts_work'"
    - xfs: Sanity check flags of Q_XQUOTARM call
    - i2c: stm32f7: rework slave_id allocation
    - i2c: i2c-stm32f7: fix 10-bits check in slave free id search loop
    - mfd: intel-lpss: Add default I2C device properties for Gemini Lake
    - SUNRPC: Fix svcauth_gss_proxy_init()
    - powerpc/pseries: Enable support for ibm,drc-info property
    - powerpc/archrandom: fix arch_get_random_seed_int()
    - tipc: update mon's self addr when node addr generated
    - tipc: fix wrong timeout input for tipc_wait_for_cond()
    - mt7601u: fix bbp version check in mt7601u_wait_bbp_ready
    - crypto: sun4i-ss - fix big endian issues
    - perf map: No need to adjust the long name of modules
    - soc: aspeed: Fix snoop_file_poll()'s return type
    - watchdog: sprd: Fix the incorrect pointer getting from driver data
    - ipmi: Fix memory leak in __ipmi_bmc_register
    - clk: highbank: fix refcount leak in hb_clk_init()
    - clk: qoriq: fix refcount leak in clockgen_init()
    - clk: ti: fix refcount leak in ti_dt_clocks_register()
    - clk: socfpga: fix refcount leak
    - clk: samsung: exynos4: fix refcount leak in exynos4_get_xom()
    - clk: imx6q: fix refcount leak in imx6q_clocks_init()
    - clk: imx6sx: fix refcount leak in imx6sx_clocks_init()
    - clk: imx7d: fix refcount leak in imx7d_clocks_init()
    - clk: vf610: fix refcount leak in vf610_clocks_init()
    - clk: armada-370: fix refcount leak in a370_clk_init()
    - clk: kirkwood: fix refcount leak in kirkwood_clk_init()
    - clk: armada-xp: fix refcount leak in axp_clk_init()
    - clk: mv98dx3236: fix refcount leak in mv98dx3236_clk_init()
    - clk: dove: fix refcount leak in dove_clk_init()
    - remoteproc: qcom: q6v5-mss: Add missing clocks for MSM8996
    - remoteproc: qcom: q6v5-mss: Add missing regulator for MSM8996
    - drm: Fix error handling in drm_legacy_addctx
    - ARM: dts: r8a7743: Remove generic compatible string from iic3
    - drm/etnaviv: fix some off by one bugs
    - drm/fb-helper: generic: Fix setup error path
    - IB/usnic: Fix out of bounds index check in query pkey
    - RDMA/ocrdma: Fix out of bounds index check in query pkey
    - RDMA/qedr: Fix out of bounds index check in query pkey
    - drm/shmob: Fix return value check in shmob_drm_probe
    - arm64: dts: apq8016-sbc: Increase load on l11 for SDCARD
    - spi: cadence: Correct initialisation of runtime PM
    - RDMA/iw_cxgb4: Fix the unchecked ep dereference
    - memory: tegra: Don't invoke Tegra30+ specific memory timing setup on Tegra20
    - drm/etnaviv: NULL vs IS_ERR() buf in etnaviv_core_dump()
    - media: s5p-jpeg: Correct step and max values for
      V4L2_CID_JPEG_RESTART_INTERVAL
    - crypto: brcm - Fix some set-but-not-used warning
    - crypto: tgr192 - fix unaligned memory access
    - ASoC: imx-sgtl5000: put of nodes if finding codec fails
    - IB/iser: Pass the correct number of entries for dma mapped SGL
    - media: tw9910: Unregister subdevice with v4l2-async
    - IB/mlx5: Don't override existing ip_protocol
    - rtc: cmos: ignore bogus century byte
    - spi/topcliff_pch: Fix potential NULL dereference on allocation error
    - ARM: dts: sun8i-a23-a33: Move NAND controller device node to sort by address
    - clk: sunxi-ng: sun8i-a23: Enable PLL-MIPI LDOs when ungating it
    - iwlwifi: mvm: avoid possible access out of array.
    - ip_tunnel: Fix route fl4 init in ip_md_tunnel_xmit
    - arm64: dts: allwinner: h6: Move GIC device node fix base address ordering
    - iwlwifi: mvm: fix A-MPDU reference assignment
    - tty: ipwireless: Fix potential NULL pointer dereference
    - driver: uio: fix possible memory leak in __uio_register_device
    - driver: uio: fix possible use-after-free in __uio_register_device
    - crypto: crypto4xx - Fix wrong ppc4xx_trng_probe()/ppc4xx_trng_remove()
      arguments
    - driver core: Fix DL_FLAG_AUTOREMOVE_SUPPLIER device link flag handling
    - driver core: Avoid careless re-use of existing device links
    - driver core: Do not resume suppliers under device_links_write_lock()
    - driver core: Fix handling of runtime PM flags in device_link_add()
    - driver core: Do not call rpm_put_suppliers() in pm_runtime_drop_link()
    - ARM: dts: lpc32xx: add required clocks property to keypad device node
    - ARM: dts: lpc32xx: reparent keypad controller to SIC1
    - ARM: dts: lpc32xx: fix ARM PrimeCell LCD controller variant
    - ARM: dts: lpc32xx: fix ARM PrimeCell LCD controller clocks property
    - ARM: dts: lpc32xx: phy3250: fix SD card regulator voltage
    - drm/xen-front: Fix mmap attributes for display buffers
    - iwlwifi: mvm: fix RSS config command
    - staging: most: cdev: add missing check for cdev_add failure
    - clk: ingenic: jz4740: Fix gating of UDC clock
    - rtc: ds1672: fix unintended sign extension
    - thermal: mediatek: fix register index error
    - arm64: dts: msm8916: remove bogus argument to the cpu clock
    - ath10k: fix dma unmap direction for management frames
    - net: phy: fixed_phy: Fix fixed_phy not checking GPIO
    - rtc: ds1307: rx8130: Fix alarm handling
    - net/smc: original socket family in inet_sock_diag
    - rtc: 88pm860x: fix unintended sign extension
    - rtc: 88pm80x: fix unintended sign extension
    - rtc: pm8xxx: fix unintended sign extension
    - fbdev: chipsfb: remove set but not used variable 'size'
    - iw_cxgb4: use tos when importing the endpoint
    - iw_cxgb4: use tos when finding ipv6 routes
    - ipmi: kcs_bmc: handle devm_kasprintf() failure case
    - drm/etnaviv: potential NULL dereference
    - ntb_hw_switchtec: debug print 64bit aligned crosslink BAR Numbers
    - ntb_hw_switchtec: NT req id mapping table register entry number should be
      512
    - pinctrl: sh-pfc: emev2: Add missing pinmux functions
    - pinctrl: sh-pfc: r8a7791: Fix scifb2_data_c pin group
    - pinctrl: sh-pfc: r8a7792: Fix vin1_data18_b pin group
    - pinctrl: sh-pfc: sh73a0: Fix fsic_spdif pin groups
    - RDMA/mlx5: Fix memory leak in case we fail to add an IB device
    - driver core: Fix possible supplier PM-usage counter imbalance
    - PCI: endpoint: functions: Use memcpy_fromio()/memcpy_toio()
    - usb: phy: twl6030-usb: fix possible use-after-free on remove
    - block: don't use bio->bi_vcnt to figure out segment number
    - mt76: usb: fix possible memory leak in mt76u_buf_free
    - media: sh: migor: Include missing dma-mapping header
    - vfio_pci: Enable memory accesses before calling pci_map_rom
    - hwmon: (pmbus/tps53679) Fix driver info initialization in probe routine
    - mdio_bus: Fix PTR_ERR() usage after initialization to constant
    - KVM: PPC: Release all hardware TCE tables attached to a group
    - staging: r8822be: check kzalloc return or bail
    - dmaengine: mv_xor: Use correct device for DMA API
    - cdc-wdm: pass return value of recover_from_urb_loss
    - brcmfmac: create debugfs files for bus-specific layer
    - regulator: pv88060: Fix array out-of-bounds access
    - regulator: pv88080: Fix array out-of-bounds access
    - regulator: pv88090: Fix array out-of-bounds access
    - net: dsa: qca8k: Enable delay for RGMII_ID mode
    - net/mlx5: Delete unused FPGA QPN variable
    - drm/nouveau/bios/ramcfg: fix missing parentheses when calculating RON
    - drm/nouveau/pmu: don't print reply values if exec is false
    - drm/nouveau: fix missing break in switch statement
    - driver core: Fix PM-runtime for links added during consumer probe
    - ASoC: qcom: Fix of-node refcount unbalance in apq8016_sbc_parse_of()
    - fs/nfs: Fix nfs_parse_devname to not modify it's argument
    - staging: rtlwifi: Use proper enum for return in halmac_parse_psd_data_88xx
    - powerpc/64s: Fix logic when handling unknown CPU features
    - NFS: Fix a soft lockup in the delegation recovery code
    - perf: Copy parent's address filter offsets on clone
    - perf, pt, coresight: Fix address filters for vmas with non-zero offset
    - clocksource/drivers/sun5i: Fail gracefully when clock rate is unavailable
    - clocksource/drivers/exynos_mct: Fix error path in timer resources
      initialization
    - platform/x86: wmi: fix potential null pointer dereference
    - NFS/pnfs: Bulk destroy of layouts needs to be safe w.r.t. umount
    - mmc: sdhci-brcmstb: handle mmc_of_parse() errors during probe
    - iommu: Fix IOMMU debugfs fallout
    - ARM: 8847/1: pm: fix HYP/SVC mode mismatch when MCPM is used
    - ARM: 8848/1: virt: Align GIC version check with arm64 counterpart
    - ARM: 8849/1: NOMMU: Fix encodings for PMSAv8's PRBAR4/PRLAR4
    - regulator: wm831x-dcdc: Fix list of wm831x_dcdc_ilim from mA to uA
    - ath10k: Fix length of wmi tlv command for protected mgmt frames
    - netfilter: nft_set_hash: fix lookups with fixed size hash on big endian
    - netfilter: nft_set_hash: bogus element self comparison from deactivation
      path
    - net: sched: act_csum: Fix csum calc for tagged packets
    - hwrng: bcm2835 - fix probe as platform device
    - iommu/vt-d: Fix NULL pointer reference in intel_svm_bind_mm()
    - NFS: Add missing encode / decode sequence_maxsz to v4.2 operations
    - NFSv4/flexfiles: Fix invalid deref in FF_LAYOUT_DEVID_NODE()
    - net: aquantia: fixed instack structure overflow
    - powerpc/mm: Check secondary hash page table
    - media: dvb/earth-pt1: fix wrong initialization for demod blocks
    - rbd: clear ->xferred on error from rbd_obj_issue_copyup()
    - PCI: Fix "try" semantics of bus and slot reset
    - nios2: ksyms: Add missing symbol exports
    - x86/mm: Remove unused variable 'cpu'
    - scsi: megaraid_sas: reduce module load time
    - nfp: fix simple vNIC mailbox length
    - drivers/rapidio/rio_cm.c: fix potential oops in riocm_ch_listen()
    - xen, cpu_hotplug: Prevent an out of bounds access
    - net/mlx5: Fix multiple updates of steering rules in parallel
    - net/mlx5e: IPoIB, Fix RX checksum statistics update
    - net: sh_eth: fix a missing check of of_get_phy_mode
    - regulator: lp87565: Fix missing register for LP87565_BUCK_0
    - soc: amlogic: gx-socinfo: Add mask for each SoC packages
    - media: ivtv: update *pos correctly in ivtv_read_pos()
    - media: cx18: update *pos correctly in cx18_read_pos()
    - media: wl128x: Fix an error code in fm_download_firmware()
    - media: cx23885: check allocation return
    - regulator: tps65086: Fix tps65086_ldoa1_ranges for selector 0xB
    - crypto: ccree - reduce kernel stack usage with clang
    - jfs: fix bogus variable self-initialization
    - tipc: tipc clang warning
    - m68k: mac: Fix VIA timer counter accesses
    - ARM: dts: sun8i: a33: Reintroduce default pinctrl muxing
    - arm64: dts: allwinner: a64: Add missing PIO clocks
    - ARM: dts: sun9i: optimus: Fix fixed-regulators
    - ARM: OMAP2+: Fix potentially uninitialized return value for _setup_reset()
    - net: dsa: Avoid null pointer when failing to connect to PHY
    - soc: qcom: cmd-db: Fix an error code in cmd_db_dev_probe()
    - media: davinci-isif: avoid uninitialized variable use
    - media: tw5864: Fix possible NULL pointer dereference in tw5864_handle_frame
    - spi: tegra114: clear packed bit for unpacked mode
    - spi: tegra114: fix for unpacked mode transfers
    - spi: tegra114: terminate dma and reset on transfer timeout
    - spi: tegra114: flush fifos
    - spi: tegra114: configure dma burst size to fifo trig level
    - bus: ti-sysc: Fix sysc_unprepare() when no clocks have been allocated
    - soc/fsl/qe: Fix an error code in qe_pin_request()
    - spi: bcm2835aux: fix driver to not allow 65535 (=-1) cs-gpios
    - drm/fb-helper: generic: Call drm_client_add() after setup is done
    - arm64/vdso: don't leak kernel addresses
    - rtc: Fix timestamp value for RTC_TIMESTAMP_BEGIN_1900
    - rtc: mt6397: Don't call irq_dispose_mapping.
    - ehea: Fix a copy-paste err in ehea_init_port_res
    - bpf: Add missed newline in verifier verbose log
    - drm/vmwgfx: Remove set but not used variable 'restart'
    - scsi: qla2xxx: Unregister chrdev if module initialization fails
    - of: use correct function prototype for of_overlay_fdt_apply()
    - net/sched: cbs: fix port_rate miscalculation
    - clk: qcom: Skip halt checks on gcc_pcie_0_pipe_clk for 8998
    - ACPI: button: reinitialize button state upon resume
    - firmware: arm_scmi: fix of_node leak in scmi_mailbox_check
    - rxrpc: Fix detection of out of order acks
    - scsi: target/core: Fix a race condition in the LUN lookup code
    - brcmfmac: fix leak of mypkt on error return path
    - ARM: pxa: ssp: Fix "WARNING: invalid free of devm_ allocated data"
    - PCI: rockchip: Fix rockchip_pcie_ep_assert_intx() bitwise operations
    - hwmon: (w83627hf) Use request_muxed_region for Super-IO accesses
    - perf/core: Fix the address filtering fix
    - staging: android: vsoc: fix copy_from_user overrun
    - PCI: dwc: Fix dw_pcie_ep_find_capability() to return correct capability
      offset
    - soc: amlogic: meson-gx-pwrc-vpu: Fix power on/off register bitmask
    - platform/x86: alienware-wmi: fix kfree on potentially uninitialized pointer
    - tipc: set sysctl_tipc_rmem and named_timeout right range
    - usb: typec: tcpm: Notify the tcpc to start connection-detection for SRPs
    - selftests/ipc: Fix msgque compiler warnings
    - powerpc: vdso: Make vdso32 installation conditional in vdso_install
    - ARM: dts: ls1021: Fix SGMII PCS link remaining down after PHY disconnect
    - media: ov2659: fix unbalanced mutex_lock/unlock
    - 6lowpan: Off by one handling ->nexthdr
    - dmaengine: axi-dmac: Don't check the number of frames for alignment
    - ALSA: usb-audio: Handle the error from snd_usb_mixer_apply_create_quirk()
    - afs: Fix AFS file locking to allow fine grained locks
    - afs: Further fix file locking
    - NFS: Don't interrupt file writeout due to fatal errors
    - coresight: catu: fix clang build warning
    - s390/kexec_file: Fix potential segment overlap in ELF loader
    - irqchip/gic-v3-its: fix some definitions of inner cacheability attributes
    - scsi: qla2xxx: Fix a format specifier
    - scsi: qla2xxx: Fix error handling in qlt_alloc_qfull_cmd()
    - scsi: qla2xxx: Avoid that qlt_send_resp_ctio() corrupts memory
    - KVM: PPC: Book3S HV: Fix lockdep warning when entering the guest
    - netfilter: nft_flow_offload: add entry to flowtable after confirmation
    - PCI: iproc: Enable iProc config read for PAXBv2
    - ARM: dts: logicpd-som-lv: Fix MMC1 card detect
    - ASoC: fix valid stream condition
    - usb: gadget: fsl: fix link error against usb-gadget module
    - dwc2: gadget: Fix completed transfer size calculation in DDMA
    - IB/mlx5: Add missing XRC options to QP optional params mask
    - RDMA/rxe: Consider skb reserve space based on netdev of GID
    - iommu/vt-d: Make kernel parameter igfx_off work with vIOMMU
    - dmaengine: tegra210-adma: restore channel status
    - watchdog: rtd119x_wdt: Fix remove function
    - mmc: core: fix possible use after free of host
    - lightnvm: pblk: fix lock order in pblk_rb_tear_down_check
    - afs: Fix the afs.cell and afs.volume xattr handlers
    - vfio/mdev: Avoid release parent reference during error path
    - vfio/mdev: Follow correct remove sequence
    - vfio/mdev: Fix aborting mdev child device removal if one fails
    - l2tp: Fix possible NULL pointer dereference
    - ALSA: aica: Fix a long-time build breakage
    - media: omap_vout: potential buffer overflow in vidioc_dqbuf()
    - media: davinci/vpbe: array underflow in vpbe_enum_outputs()
    - platform/x86: alienware-wmi: printing the wrong error code
    - crypto: caam - fix caam_dump_sg that iterates through scatterlist
    - netfilter: ebtables: CONFIG_COMPAT: reject trailing data after last rule
    - pwm: meson: Consider 128 a valid pre-divider
    - pwm: meson: Don't disable PWM when setting duty repeatedly
    - ARM: riscpc: fix lack of keyboard interrupts after irq conversion
    - nfp: bpf: fix static check error through tightening shift amount adjustment
    - kdb: do a sanity check on the cpu in kdb_per_cpu()
    - netfilter: nf_tables: correct NFT_LOGLEVEL_MAX value
    - backlight: lm3630a: Return 0 on success in update_status functions
    - thermal: rcar_gen3_thermal: fix interrupt type
    - thermal: cpu_cooling: Actually trace CPU load in thermal_power_cpu_get_power
    - EDAC/mc: Fix edac_mc_find() in case no device is found
    - afs: Fix key leak in afs_release() and afs_evict_inode()
    - afs: Don't invalidate callback if AFS_VNODE_DIR_VALID not set
    - afs: Fix lock-wait/callback-break double locking
    - afs: Fix double inc of vnode->cb_break
    - ARM: dts: sun8i-h3: Fix wifi in Beelink X2 DT
    - clk: meson: gxbb: no spread spectrum on mpll0
    - clk: meson: axg: spread spectrum is on mpll2
    - dmaengine: tegra210-adma: Fix crash during probe
    - arm64: dts: meson: libretech-cc: set eMMC as removable
    - RDMA/qedr: Fix incorrect device rate.
    - spi: spi-fsl-spi: call spi_finalize_current_message() at the end
    - crypto: ccp - fix AES CFB error exposed by new test vectors
    - crypto: ccp - Fix 3DES complaint from ccp-crypto module
    - serial: stm32: fix word length configuration
    - serial: stm32: fix rx error handling
    - serial: stm32: fix rx data length when parity enabled
    - serial: stm32: fix transmit_chars when tx is stopped
    - serial: stm32: Add support of TC bit status check
    - serial: stm32: fix wakeup source initialization
    - misc: sgi-xp: Properly initialize buf in xpc_get_rsvd_page_pa
    - iommu: Add missing new line for dma type
    - iommu: Use right function to get group for device
    - signal/bpfilter: Fix bpfilter_kernl to use send_sig not force_sig
    - signal/cifs: Fix cifs_put_tcp_session to call send_sig instead of force_sig
    - inet: frags: call inet_frags_fini() after unregister_pernet_subsys()
    - crypto: talitos - fix AEAD processing.
    - netvsc: unshare skb in VF rx handler
    - net: core: support XDP generic on stacked devices.
    - RDMA/uverbs: check for allocation failure in uapi_add_elm()
    - net: don't clear sock->sk early to avoid trouble in strparser
    - phy: qcom-qusb2: fix missing assignment of ret when calling
      clk_prepare_enable
    - cpufreq: brcmstb-avs-cpufreq: Fix initial command check
    - cpufreq: brcmstb-avs-cpufreq: Fix types for voltage/frequency
    - clk: sunxi-ng: sun50i-h6-r: Fix incorrect W1 clock gate register
    - media: vivid: fix incorrect assignment operation when setting video mode
    - crypto: inside-secure - fix zeroing of the request in ahash_exit_inv
    - crypto: inside-secure - fix queued len computation
    - arm64: dts: renesas: ebisu: Remove renesas, no-ether-link property
    - mpls: fix warning with multi-label encap
    - serial: stm32: fix a recursive locking in stm32_config_rs485
    - arm64: dts: meson-gxm-khadas-vim2: fix gpio-keys-polled node
    - arm64: dts: meson-gxm-khadas-vim2: fix Bluetooth support
    - iommu/vt-d: Duplicate iommu_resv_region objects per device list
    - phy: usb: phy-brcm-usb: Remove sysfs attributes upon driver removal
    - firmware: arm_scmi: fix bitfield definitions for SENSOR_DESC attributes
    - firmware: arm_scmi: update rate_discrete in clock_describe_rates_get
    - ntb_hw_switchtec: potential shift wrapping bug in switchtec_ntb_init_sndev()
    - ASoC: meson: axg-tdmin: right_j is not supported
    - ASoC: meson: axg-tdmout: right_j is not supported
    - qed: iWARP - Use READ_ONCE and smp_store_release to access ep->state
    - qed: iWARP - fix uninitialized callback
    - powerpc/cacheinfo: add cacheinfo_teardown, cacheinfo_rebuild
    - powerpc/pseries/mobility: rebuild cacheinfo hierarchy post-migration
    - bpf: fix the check that forwarding is enabled in bpf_ipv6_fib_lookup
    - drm/msm/mdp5: Fix mdp5_cfg_init error return
    - net: netem: fix backlog accounting for corrupted GSO frames
    - net/udp_gso: Allow TX timestamp with UDP GSO
    - net/af_iucv: build proper skbs for HiperTransport
    - net/af_iucv: always register net_device notifier
    - ASoC: ti: davinci-mcasp: Fix slot mask settings when using multiple AXRs
    - rtc: pcf8563: Fix interrupt trigger method
    - rtc: pcf8563: Clear event flags and disable interrupts before requesting irq
    - ARM: dts: iwg20d-q7-common: Fix SDHI1 VccQ regularor
    - net/sched: cbs: Fix error path of cbs_module_init
    - arm64: dts: allwinner: h6: Pine H64: Add interrupt line for RTC
    - drm/msm/a3xx: remove TPL1 regs from snapshot
    - ip6_fib: Don't discard nodes with valid routing information in
      fib6_locate_1()
    - perf/ioctl: Add check for the sample_period value
    - dmaengine: hsu: Revert "set HSU_CH_MTSR to memory width"
    - clk: qcom: Fix -Wunused-const-variable
    - nvmem: imx-ocotp: Ensure WAIT bits are preserved when setting timing
    - nvmem: imx-ocotp: Change TIMING calculation to u-boot algorithm
    - tools: bpftool: use correct argument in cgroup errors
    - backlight: pwm_bl: Fix heuristic to determine number of brightness levels
    - bnxt_en: Fix ethtool selftest crash under error conditions.
    - bnxt_en: Suppress error messages when querying DSCP DCB capabilities.
    - iommu/amd: Make iommu_disable safer
    - mfd: intel-lpss: Release IDA resources
    - rxrpc: Fix uninitialized error code in rxrpc_send_data_packet()
    - xprtrdma: Fix use-after-free in rpcrdma_post_recvs
    - um: Fix IRQ controller regression on console read
    - PM: ACPI/PCI: Resume all devices during hibernation
    - ACPI: PM: Simplify and fix PM domain hibernation callbacks
    - ACPI: PM: Introduce "poweroff" callbacks for ACPI PM domain and LPSS
    - fsi/core: Fix error paths on CFAM init
    - devres: allow const resource arguments
    - fsi: sbefifo: Don't fail operations when in SBE IPL state
    - PCI: mobiveil: Remove the flag MSI_FLAG_MULTI_PCI_MSI
    - PCI: mobiveil: Fix devfn check in mobiveil_pcie_valid_device()
    - PCI: mobiveil: Fix the valid check for inbound and outbound windows
    - ceph: fix "ceph.dir.rctime" vxattr value
    - net: pasemi: fix an use-after-free in pasemi_mac_phy_init()
    - net/tls: fix socket wmem accounting on fallback with netem
    - x86/pgtable/32: Fix LOWMEM_PAGES constant
    - xdp: fix possible cq entry leak
    - ARM: stm32: use "depends on" instead of "if" after prompt
    - scsi: libfc: fix null pointer dereference on a null lport
    - drm/panel: make drm_panel.h self-contained
    - clk: sunxi-ng: v3s: add the missing PLL_DDR1
    - PM: sleep: Fix possible overflow in pm_system_cancel_wakeup()
    - libertas_tf: Use correct channel range in lbtf_geo_init
    - qed: reduce maximum stack frame size
    - usb: host: xhci-hub: fix extra endianness conversion
    - media: rcar-vin: Clean up correct notifier in error path
    - mic: avoid statically declaring a 'struct device'.
    - x86/kgbd: Use NMI_VECTOR not APIC_DM_NMI
    - crypto: ccp - Reduce maximum stack usage
    - ALSA: aoa: onyx: always initialize register read value
    - arm64: dts: renesas: r8a77995: Fix register range of display node
    - tipc: reduce risk of wakeup queue starvation
    - ARM: dts: stm32: add missing vdda-supply to adc on stm32h743i-eval
    - net/mlx5: Fix mlx5_ifc_query_lag_out_bits
    - cifs: fix rmmod regression in cifs.ko caused by force_sig changes
    - iio: tsl2772: Use devm_add_action_or_reset for tsl2772_chip_off
    - spi: bcm-qspi: Fix BSPI QUAD and DUAL mode support when using flex mode
    - cxgb4: smt: Add lock for atomic_dec_and_test
    - crypto: caam - free resources in case caam_rng registration failed
    - ext4: set error return correctly when ext4_htree_store_dirent fails
    - ASoC: es8328: Fix copy-paste error in es8328_right_line_controls
    - ASoC: cs4349: Use PM ops 'cs4349_runtime_pm'
    - ASoC: wm8737: Fix copy-paste error in wm8737_snd_controls
    - net/rds: Add a few missing rds_stat_names entries
    - tools: bpftool: fix arguments for p_err() in do_event_pipe()
    - tools: bpftool: fix format strings and arguments for jsonw_printf()
    - drm: rcar-du: lvds: Fix bridge_to_rcar_lvds
    - signal: Allow cifs and drbd to receive their terminating signals
    - powerpc/64s/radix: Fix memory hot-unplug page table split
    - ASoC: sun4i-i2s: RX and TX counter registers are swapped
    - dmaengine: dw: platform: Switch to acpi_dma_controller_register()
    - rtc: rv3029: revert error handling patch to rv3029_eeprom_write()
    - mac80211: minstrel_ht: fix per-group max throughput rate initialization
    - i40e: reduce stack usage in i40e_set_fc
    - media: atmel: atmel-isi: fix timeout value for stop streaming
    - ARM: 8896/1: VDSO: Don't leak kernel addresses
    - rtc: pcf2127: bugfix: read rtc disables watchdog
    - mips: avoid explicit UB in assignment of mips_io_port_base
    - media: em28xx: Fix exception handling in em28xx_alloc_urbs()
    - iommu/mediatek: Fix iova_to_phys PA start for 4GB mode
    - ahci: Do not export local variable ahci_em_messages
    - rxrpc: Fix lack of conn cleanup when local endpoint is cleaned up [ver #2]
    - Partially revert "kfifo: fix kfifo_alloc() and kfifo_init()"
    - hwmon: (lm75) Fix write operations for negative temperatures
    - net/sched: cbs: Set default link speed to 10 Mbps in cbs_set_port_rate
    - power: supply: Init device wakeup after device_add()
    - x86, perf: Fix the dependency of the x86 insn decoder selftest
    - staging: greybus: light: fix a couple double frees
    - irqdomain: Add the missing assignment of domain->fwnode for named fwnode
    - bcma: fix incorrect update of BCMA_CORE_PCI_MDIO_DATA
    - usb: typec: tps6598x: Fix build error without CONFIG_REGMAP_I2C
    - bcache: Fix an error code in bch_dump_read()
    - iio: dac: ad5380: fix incorrect assignment to val
    - netfilter: ctnetlink: honor IPS_OFFLOAD flag
    - ath9k: dynack: fix possible deadlock in ath_dynack_node_{de}init
    - wcn36xx: use dynamic allocation for large variables
    - tty: serial: fsl_lpuart: Use appropriate lpuart32_* I/O funcs
    - ARM: dts: aspeed-g5: Fixe gpio-ranges upper limit
    - xsk: avoid store-tearing when assigning queues
    - xsk: avoid store-tearing when assigning umem
    - led: triggers: Fix dereferencing of null pointer
    - net: sonic: return NETDEV_TX_OK if failed to map buffer
    - net: hns3: fix error VF index when setting VLAN offload
    - rtlwifi: Fix file release memory leak
    - ARM: dts: logicpd-som-lv: Fix i2c2 and i2c3 Pin mux
    - f2fs: fix wrong error injection path in inc_valid_block_count()
    - f2fs: fix error path of f2fs_convert_inline_page()
    - scsi: fnic: fix msix interrupt allocation
    - Btrfs: fix hang when loading existing inode cache off disk
    - Btrfs: fix inode cache waiters hanging on failure to start caching thread
    - Btrfs: fix inode cache waiters hanging on path allocation failure
    - btrfs: use correct count in btrfs_file_write_iter()
    - ixgbe: sync the first fragment unconditionally
    - hwmon: (shtc1) fix shtc1 and shtw1 id mask
    - net: sonic: replace dev_kfree_skb in sonic_send_packet
    - pinctrl: iproc-gpio: Fix incorrect pinconf configurations
    - gpio/aspeed: Fix incorrect number of banks
    - ath10k: adjust skb length in ath10k_sdio_mbox_rx_packet
    - RDMA/cma: Fix false error message
    - net/rds: Fix 'ib_evt_handler_call' element in 'rds_ib_stat_names'
    - um: Fix off by one error in IRQ enumeration
    - bnxt_en: Increase timeout for HWRM_DBG_COREDUMP_XX commands
    - f2fs: fix to avoid accessing uninitialized field of inode page in is_alive()
    - mailbox: qcom-apcs: fix max_register value
    - clk: actions: Fix factor clk struct member access
    - powerpc/mm/mce: Keep irqs disabled during lockless page table walk
    - bpf: fix BTF limits
    - crypto: hisilicon - Matching the dma address for dma_pool_free()
    - iommu/amd: Wait for completion of IOTLB flush in attach_device
    - net: aquantia: Fix aq_vec_isr_legacy() return value
    - cxgb4: Signedness bug in init_one()
    - net: hisilicon: Fix signedness bug in hix5hd2_dev_probe()
    - net: broadcom/bcmsysport: Fix signedness in bcm_sysport_probe()
    - net: netsec: Fix signedness bug in netsec_probe()
    - net: socionext: Fix a signedness bug in ave_probe()
    - net: stmmac: dwmac-meson8b: Fix signedness bug in probe
    - net: axienet: fix a signedness bug in probe
    - of: mdio: Fix a signedness bug in of_phy_get_and_connect()
    - net: nixge: Fix a signedness bug in nixge_probe()
    - net: ethernet: stmmac: Fix signedness bug in ipq806x_gmac_of_parse()
    - net: sched: cbs: Avoid division by zero when calculating the port rate
    - nvme: retain split access workaround for capability reads
    - net: stmmac: gmac4+: Not all Unicast addresses may be available
    - rxrpc: Fix trace-after-put looking at the put connection record
    - mac80211: accept deauth frames in IBSS mode
    - llc: fix another potential sk_buff leak in llc_ui_sendmsg()
    - llc: fix sk_buff refcounting in llc_conn_state_process()
    - ip6erspan: remove the incorrect mtu limit for ip6erspan
    - net: stmmac: fix length of PTP clock's name string
    - net: stmmac: fix disabling flexible PPS output
    - sctp: add chunks to sk_backlog when the newsk sk_socket is not set
    - s390/qeth: Fix error handling during VNICC initialization
    - s390/qeth: Fix initialization of vnicc cmd masks during set online
    - act_mirred: Fix mirred_init_module error handling
    - net: avoid possible false sharing in sk_leave_memory_pressure()
    - net: add {READ|WRITE}_ONCE() annotations on ->rskq_accept_head
    - tcp: annotate lockless access to tcp_memory_pressure
    - net/smc: receive returns without data
    - net/smc: receive pending data after RCV_SHUTDOWN
    - drm/msm/dsi: Implement reset correctly
    - vhost/test: stop device before reset
    - firmware: dmi: Fix unlikely out-of-bounds read in save_mem_devices
    - arm64: hibernate: check pgd table allocation
    - net: netem: fix error path for corrupted GSO frames
    - bpf, offload: Unlock on error in bpf_offload_dev_create()
    - afs: Fix missing timeout reset
    - net: qca_spi: Move reset_count to struct qcaspi
    - hv_netvsc: Fix offset usage in netvsc_send_table()
    - hv_netvsc: Fix send_table offset in case of a host bug
    - afs: Fix large file support
    - drm: panel-lvds: Potential Oops in probe error handling
    - hwrng: omap3-rom - Fix missing clock by probing with device tree
    - dpaa_eth: perform DMA unmapping before read
    - dpaa_eth: avoid timestamp read on error paths
    - hv_netvsc: flag software created hash value
    - net: neigh: use long type to store jiffies delta
    - packet: fix data-race in fanout_flow_is_huge()
    - i2c: stm32f7: report dma error during probe
    - mmc: sdio: fix wl1251 vendor id
    - mmc: core: fix wl1251 sdio quirks
    - afs: Remove set but not used variables 'before', 'after'
    - dmaengine: ti: edma: fix missed failure handling
    - drm/radeon: fix bad DMA from INTERRUPT_CNTL2
    - samples/bpf: Fix broken xdp_rxq_info due to map order assumptions
    - IB/iser: Fix dma_nents type definition
    - serial: stm32: fix clearing interrupt error flags
    - arm64: dts: meson-gxm-khadas-vim2: fix uart_A bluetooth node
    - m68k: Call timer_interrupt() with interrupts disabled
    - drm/i915: Fix pid leak with banned clients
    - libbpf: Fix memory leak/double free issue
    - libbpf: Fix potential overflow issue
    - libbpf: Fix another potential overflow issue in bpf_prog_linfo
    - ARM: OMAP2+: Add missing put_device() call in omapdss_init_of()
    - tipc: fix potential memory leak in __tipc_sendmsg()
    - tipc: fix wrong socket reference counter after tipc_sk_timeout() returns
    - net: phy: broadcom: Fix RGMII delays configuration for BCM54210E
    - phy: ti: gmii-sel: fix mac tx internal delay for rgmii-rxid
    - mt76: mt76u: fix endpoint definition order
    - ice: fix stack leakage
    - nfsd: depend on CRYPTO_MD5 for legacy client tracking
    - leds: tlc591xx: update the maximum brightness
    - soc/tegra: pmc: Fix crashes for hierarchical interrupts
    - soc: renesas: Add missing check for non-zero product register address
    - gpiolib: No need to call gpiochip_remove_pin_ranges() twice
    - rtw88: fix beaconing mode rsvd_page memory violation issue
    - rtw88: fix error handling when setup efuse info
    - drm/rockchip: Base adjustments of the mode based on prev adjustments
    - drm/rockchip: Round up _before_ giving to the clock framework
    - software node: Get reference to parent swnode in get_parent op
    - drm: rcar_lvds: Fix color mismatches on R-Car H2 ES2.0 and later
    - pwm: sun4i: Fix incorrect calculation of duty_cycle/period
    - scsi: ufs: delete redundant function ufshcd_def_desc_sizes()
    - net: openvswitch: don't unlock mutex when changing the user_features fails
    - rt2800: remove errornous duplicate condition
    - tee: optee: Fix dynamic shm pool allocations
    - block: fix memleak of bio integrity data
    - phy/rockchip: inno-hdmi: round clock rate down to closest 1000 Hz
    - optee: Fix multi page dynamic shm pool alloc

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Fri, 27 Mar 2020 13:03:36 +0200

linux-oem-osp1 (5.0.0-1046.51) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1046.51 -proposed tracker (LP: #1869295)

  * The voice recording function cannot work while connecting a headset on a
    Dell machine (LP: #1866581)
    - SAUCE: ALSA: hda/realtek - Add Headset Mic supported

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Fri, 27 Mar 2020 07:31:46 +0200

linux-oem-osp1 (5.0.0-1043.48) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1043.48 -proposed tracker (LP: #1867111)

  * All PS/2 ports on PS/2 Serial add-in bracket are not working after S3
    (LP: #1866734)
    - SAUCE: Input: i8042 - Fix the selftest retry logic

  * r8152 init may take up to 40 seconds at initialization with Dell WD19/WD19DC
    during hotplug (LP: #1864284)
    - UBUNTU SAUCE: r8151: check disconnect status after long sleep

  * Miscellaneous Ubuntu changes
    - [Config] Bump the GCC version

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 12 Mar 2020 11:14:40 +0200

linux-oem-osp1 (5.0.0-1042.47) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1042.47 -proposed tracker (LP: #1865205)

  * Stop using get_scalar_status command in Dell AIO uart backlight driver
    (LP: #1865402)
    - SAUCE: platform/x86: dell-uart-backlight: add get_display_mode command

  * [FOCAL][REGRESSION] Intel Gen 9 brightness cannot be controlled
    (LP: #1861521)
    - Revert "UBUNTU: SAUCE: drm/i915: Force DPCD backlight mode on Dell Precision
      4K sku"
    - Revert "UBUNTU: SAUCE: drm/i915: Force DPCD backlight mode on X1 Extreme 2nd
      Gen 4K AMOLED panel"
    - drm/dp: Introduce EDID-based quirks
    - drm/i915: Force DPCD backlight mode on X1 Extreme 2nd Gen 4K AMOLED panel
    - drm/i915: Force DPCD backlight mode for some Dell CML 2020 panels

  * alsa/sof: load different firmware on different platforms (LP: #1857409)
    - ASoC: SOF: Intel: hda: use fallback for firmware name
    - ASoC: Intel: acpi-match: split CNL tables in three
    - ASoC: SOF: Intel: Fix CFL and CML FW nocodec binary names.

  * CPU package state stuck at PC3 with nvidia dGPU in power saving mode
    (LP: #1864606)
    - i2c: nvidia-gpu: refactor master_xfer
    - i2c: nvidia-gpu: add runtime pm support

  * alsa/hda/realtek: fix a mute led regression on Lenovo X1 Carbon
    (LP: #1864576)
    - SAUCE: ALSA: hda/realtek - Fix a regression for mute led on Lenovo Carbon X1

  [ Ubuntu: 5.0.0-43.47 ]

  * disco/linux: 5.0.0-43.47 -proposed tracker (LP: #1865110)
  * CVE-2020-2732
    - KVM: nVMX: Don't emulate instructions in guest mode
    - KVM: nVMX: Refactor IO bitmap checks into helper function
    - KVM: nVMX: Check IO instruction VM-exit conditions

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Wed, 04 Mar 2020 17:19:43 +0800

linux-oem-osp1 (5.0.0-1041.46) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1041.46 -proposed tracker (LP: #1863279)

  * Root can lift kernel lockdown via USB/IP (LP: #1861238)
    - [Config] Drop CONFIG_ALLOW_LOCKDOWN_LIFT_BY_SYSRQ

  * [CML-H] Add intel_thermal_pch driver support Comet Lake -H (LP: #1853219)
    - thermal: intel: intel_pch_thermal: Add Comet Lake (CML) platform support

  * Support Headset Mic on HP cPC (LP: #1862313)
    - ALSA: hda/realtek - Add Headset Mic supported for HP cPC
    - ALSA: hda/realtek - Fixed one of HP ALC671 platform Headset Mic supported

  * PCI/internal sound card not detected (LP: #1864061)
    - [Config] disable SND_SOC_INTEL_SKYLAKE

  * machine doesn't come up after suspend and re-opening the lid (LP: #1861837)
    - ASoC: hdac_hda: Fix error in driver removal after failed probe
    - ASoC: SOF: Introduce state machine for FW boot
    - ASoC: SOF: core: free trace on errors
    - ASoC: SOF: core: release resources on errors in probe_continue
    - ASoC: SOF: trace: fix unconditional free in trace release

  [ Ubuntu: 5.0.0-42.46 ]

  * disco/linux: 5.0.0-42.46 -proposed tracker (LP: #1863297)
  * CVE-2019-3016
    - KVM: Introduce a new guest mapping API
    - kvm: fix compilation on aarch64
    - kvm: fix compilation on s390
    - kvm: fix compile on s390 part 2
    - KVM: Properly check if "page" is valid in kvm_vcpu_unmap
    - x86/kvm: Be careful not to clear KVM_VCPU_FLUSH_TLB bit
    - x86/kvm: Introduce kvm_(un)map_gfn()
    - x86/kvm: Cache gfn to pfn translation
    - x86/KVM: Make sure KVM_VCPU_FLUSH_TLB flag is not missed
    - x86/KVM: Clean up host's steal time structure
  * Dell XPS 13 (7390) Display Flickering - 19.10  (LP: #1849947)
    - SAUCE: drm/i915: Disable PSR by default on all platforms
  * Root can lift kernel lockdown via USB/IP (LP: #1861238)
    - Revert "UBUNTU: SAUCE: (efi-lockdown) Add a SysRq option to lift kernel
      lockdown"
  * Disco update: upstream stable patchset 2020-02-07 (LP: #1862418)
    - ARM: dts: meson8: fix the size of the PMU registers
    - clk: qcom: gcc-sdm845: Add missing flag to votable GDSCs
    - dt-bindings: reset: meson8b: fix duplicate reset IDs
    - ARM: dts: imx6q-dhcom: fix rtc compatible
    - clk: Don't try to enable critical clocks if prepare failed
    - ASoC: msm8916-wcd-digital: Reset RX interpolation path after use
    - iio: buffer: align the size of scan bytes to size of the largest element
    - USB: serial: simple: Add Motorola Solutions TETRA MTP3xxx and MTP85xx
    - USB: serial: option: Add support for Quectel RM500Q
    - USB: serial: opticon: fix control-message timeouts
    - USB: serial: option: add support for Quectel RM500Q in QDL mode
    - USB: serial: suppress driver bind attributes
    - USB: serial: ch341: handle unbound port at reset_resume
    - USB: serial: io_edgeport: handle unbound ports on URB completion
    - USB: serial: io_edgeport: add missing active-port sanity check
    - USB: serial: keyspan: handle unbound ports
    - USB: serial: quatech2: handle unbound ports
    - scsi: fnic: fix invalid stack access
    - scsi: mptfusion: Fix double fetch bug in ioctl
    - ASoC: msm8916-wcd-analog: Fix selected events for MIC BIAS External1
    - ASoC: msm8916-wcd-analog: Fix MIC BIAS Internal1
    - ARM: dts: imx6q-dhcom: Fix SGTL5000 VDDIO regulator connection
    - ALSA: dice: fix fallback from protocol extension into limited functionality
    - ALSA: seq: Fix racy access for queue timer in proc read
    - ALSA: usb-audio: fix sync-ep altsetting sanity check
    - arm64: dts: allwinner: a64: olinuxino: Fix SDIO supply regulator
    - Fix built-in early-load Intel microcode alignment
    - block: fix an integer overflow in logical block size
    - ARM: dts: am571x-idk: Fix gpios property to have the correct gpio number
    - ptrace: reintroduce usage of subjective credentials in ptrace_has_cap()
    - usb: core: hub: Improved device recognition on remote wakeup
    - x86/resctrl: Fix an imbalance in domain_remove_cpu()
    - x86/CPU/AMD: Ensure clearing of SME/SEV features is maintained
    - x86/efistub: Disable paging at mixed mode entry
    - drm/i915: Add missing include file <linux/math64.h>
    - x86/resctrl: Fix potential memory leak
    - perf hists: Fix variable name's inconsistency in hists__for_each() macro
    - perf report: Fix incorrectly added dimensions as switch perf data file
    - mm/shmem.c: thp, shmem: fix conflict of above-47bit hint address and PMD
      alignment
    - mm: memcg/slab: call flush_memcg_workqueue() only if memcg workqueue is
      valid
    - btrfs: rework arguments of btrfs_unlink_subvol
    - btrfs: fix invalid removal of root ref
    - btrfs: do not delete mismatched root refs
    - btrfs: fix memory leak in qgroup accounting
    - mm/page-writeback.c: avoid potential division by zero in wb_min_max_ratio()
    - ARM: dts: imx6q-icore-mipi: Use 1.5 version of i.Core MX6DL
    - ARM: dts: imx7: Fix Toradex Colibri iMX7S 256MB NAND flash support
    - net: stmmac: 16KB buffer must be 16 byte aligned
    - net: stmmac: Enable 16KB buffer size
    - mm/huge_memory.c: make __thp_get_unmapped_area static
    - mm/huge_memory.c: thp: fix conflict of above-47bit hint address and PMD
      alignment
    - arm64: dts: agilex/stratix10: fix pmu interrupt numbers
    - bpf: Fix incorrect verifier simulation of ARSH under ALU32
    - cfg80211: fix deadlocks in autodisconnect work
    - cfg80211: fix memory leak in cfg80211_cqm_rssi_update
    - cfg80211: fix page refcount issue in A-MSDU decap
    - netfilter: fix a use-after-free in mtype_destroy()
    - netfilter: arp_tables: init netns pointer in xt_tgdtor_param struct
    - netfilter: nft_tunnel: fix null-attribute check
    - netfilter: nf_tables: remove WARN and add NLA_STRING upper limits
    - netfilter: nf_tables: store transaction list locally while requesting module
    - netfilter: nf_tables: fix flowtable list del corruption
    - NFC: pn533: fix bulk-message timeout
    - batman-adv: Fix DAT candidate selection on little endian systems
    - macvlan: use skb_reset_mac_header() in macvlan_queue_xmit()
    - hv_netvsc: Fix memory leak when removing rndis device
    - net: dsa: tag_qca: fix doubled Tx statistics
    - net: hns: fix soft lockup when there is not enough memory
    - net: usb: lan78xx: limit size of local TSO packets
    - net/wan/fsl_ucc_hdlc: fix out of bounds write on array utdm_info
    - ptp: free ptp device pin descriptors properly
    - r8152: add missing endpoint sanity check
    - tcp: fix marked lost packets not being retransmitted
    - sh_eth: check sh_eth_cpu_data::dual_port when dumping registers
    - mlxsw: spectrum: Wipe xstats.backlog of down ports
    - mlxsw: spectrum_qdisc: Include MC TCs in Qdisc counters
    - xen/blkfront: Adjust indentation in xlvbd_alloc_gendisk
    - tcp: refine rule to allow EPOLLOUT generation under mem pressure
    - irqchip: Place CONFIG_SIFIVE_PLIC into the menu
    - cw1200: Fix a signedness bug in cw1200_load_firmware()
    - arm64: dts: meson-gxl-s905x-khadas-vim: fix gpio-keys-polled node
    - cfg80211: check for set_wiphy_params
    - tick/sched: Annotate lockless access to last_jiffies_update
    - arm64: dts: marvell: Fix CP110 NAND controller node multi-line comment
      alignment
    - Revert "arm64: dts: juno: add dma-ranges property"
    - mtd: devices: fix mchp23k256 read and write
    - drm/nouveau/bar/nv50: check bar1 vmm return value
    - drm/nouveau/bar/gf100: ensure BAR is mapped
    - drm/nouveau/mmu: qualify vmm during dtor
    - reiserfs: fix handling of -EOPNOTSUPP in reiserfs_for_each_xattr
    - scsi: esas2r: unlock on error in esas2r_nvram_read_direct()
    - scsi: qla4xxx: fix double free bug
    - scsi: bnx2i: fix potential use after free
    - scsi: target: core: Fix a pr_debug() argument
    - scsi: qla2xxx: Fix qla2x00_request_irqs() for MSI
    - scsi: qla2xxx: fix rports not being mark as lost in sync fabric scan
    - scsi: core: scsi_trace: Use get_unaligned_be*()
    - perf probe: Fix wrong address verification
    - clk: sprd: Use IS_ERR() to validate the return value of
      syscon_regmap_lookup_by_phandle()
    - regulator: ab8500: Remove SYSCLKREQ from enum ab8505_regulator_id
    - hwmon: (pmbus/ibm-cffps) Switch LEDs to blocking brightness call
    - arm64: dts: ls1028a: fix endian setting for dcfg
    - ARM: dts: imx7ulp: fix reg of cpu node
    - ALSA: firewire-tascam: fix corruption due to spin lock without restoration
      in SoftIRQ context
    - clk: sunxi-ng: r40: Allow setting parent rate for external clock outputs
    - iio: adc: ad7124: Fix DT channel configuration
    - staging: comedi: ni_routes: fix null dereference in ni_find_route_source()
    - staging: comedi: ni_routes: allow partial routing information
    - mtd: rawnand: gpmi: Restore nfc timing setup after suspend/resume
    - cpu/SMT: Fix x86 link error without CONFIG_SYSFS
    - clk: samsung: exynos5420: Keep top G3D clocks enabled
    - btrfs: check rw_devices, not num_devices for balance
    - reset: Fix {of,devm}_reset_control_array_get kerneldoc return types
    - tipc: fix retrans failure due to wrong destination
    - bpf: Sockmap/tls, during free we may call tcp_bpf_unhash() in loop
    - bpf: Sockmap, ensure sock lock held during tear down
    - bpf: Sockmap, skmsg helper overestimates push, pull, and pop bounds
    - bpf: Sockmap/tls, msg_push_data may leave end mark in place
    - bpf: Sockmap/tls, skmsg can have wrapped skmsg that needs extra chaining
    - bpf: Sockmap/tls, fix pop data with SK_DROP return code
    - bpf/sockmap: Read psock ingress_msg before sk_receive_queue
    - netfilter: nat: fix ICMP header corruption on ICMP errors
    - netfilter: nft_tunnel: ERSPAN_VERSION must not be null
    - net: hns3: pad the short frame before sending to the hardware
    - bnxt_en: Fix NTUPLE firmware command failures.
    - bnxt_en: Fix ipv6 RFS filter matching logic.
    - net: ethernet: ave: Avoid lockdep warning
    - net: systemport: Fixed queue mapping in internal ring map
    - net: dsa: bcm_sf2: Configure IMP port for 2Gb/sec
    - drm/amdgpu: allow direct upload save restore list for raven2
    - mlxsw: spectrum: Do not modify cloned SKBs during xmit
    - arm64: dts: meson: axg: fix audio fifo reg size
    - arm64: dts: renesas: r8a77970: Fix PWM3
    - arm64: dts: juno: Fix UART frequency
    - ARM: dts: Fix sgx sysconfig register for omap4
    - scsi: lpfc: fix: Coverity: lpfc_get_scsi_buf_s3(): Null pointer dereferences
    - scsi: scsi_transport_sas: Fix memory leak when removing devices
    - clk: imx7ulp: Correct system clock source option #7
    - clk: imx7ulp: Correct DDR clock mux options
    - hwmon: (pmbus/ibm-cffps) Fix LED blink behavior
  * Disco update: upstream stable patchset 2020-02-05 (LP: #1862059)
    - chardev: Avoid potential use-after-free in 'chrdev_open()'
    - i2c: fix bus recovery stop mode timing
    - usb: chipidea: host: Disable port power only if previously enabled
    - ALSA: usb-audio: Apply the sample rate quirk for Bose Companion 5
    - ALSA: hda/realtek - Add new codec supported for ALCS1200A
    - ALSA: hda/realtek - Set EAPD control to default for ALC222
    - ALSA: hda/realtek - Add quirk for the bass speaker on Lenovo Yoga X1 7th gen
    - kernel/trace: Fix do not unregister tracepoints when register
      sched_migrate_task fail
    - tracing: Have stack tracer compile when MCOUNT_INSN_SIZE is not defined
    - tracing: Change offset type to s32 in preempt/irq tracepoints
    - HID: Fix slab-out-of-bounds read in hid_field_extract
    - HID: uhid: Fix returning EPOLLOUT from uhid_char_poll
    - HID: hid-input: clear unmapped usages
    - Input: add safety guards to input_set_keycode()
    - Input: input_event - fix struct padding on sparc64
    - drm/sun4i: tcon: Set RGB DCLK min. divider based on hardware model
    - drm/fb-helper: Round up bits_per_pixel if possible
    - drm/dp_mst: correct the shifting in DP_REMOTE_I2C_READ
    - can: kvaser_usb: fix interface sanity check
    - can: gs_usb: gs_usb_probe(): use descriptors of current altsetting
    - can: mscan: mscan_rx_poll(): fix rx path lockup when returning from polling
      to irq mode
    - can: can_dropped_invalid_skb(): ensure an initialized headroom in outgoing
      CAN sk_buffs
    - gpiolib: acpi: Turn dmi_system_id table into a generic quirk table
    - gpiolib: acpi: Add honor_wakeup module-option + quirk mechanism
    - staging: vt6656: set usb_set_intfdata on driver fail.
    - USB: serial: option: add ZLP support for 0x1bc7/0x9010
    - usb: musb: fix idling for suspend after disconnect interrupt
    - usb: musb: Disable pullup at init
    - usb: musb: dma: Correct parameter passed to IRQ handler
    - staging: comedi: adv_pci1710: fix AI channels 16-31 for PCI-1713
    - staging: rtl8188eu: Add device code for TP-Link TL-WN727N v5.21
    - serdev: Don't claim unsupported ACPI serial devices
    - tty: link tty and port before configuring it as console
    - tty: always relink the port
    - mwifiex: pcie: Fix memory leak in mwifiex_pcie_alloc_cmdrsp_buf
    - scsi: bfa: release allocated memory in case of error
    - rtl8xxxu: prevent leaking urb
    - HID: hiddev: fix mess in hiddev_open()
    - USB: Fix: Don't skip endpoint descriptors with maxpacket=0
    - phy: cpcap-usb: Fix error path when no host driver is loaded
    - phy: cpcap-usb: Fix flakey host idling and enumerating of devices
    - netfilter: arp_tables: init netns pointer in xt_tgchk_param struct
    - netfilter: conntrack: dccp, sctp: handle null timeout argument
    - netfilter: ipset: avoid null deref when IPSET_ATTR_LINENO is present
    - tpm: Handle negative priv->response_len in tpm_common_read()
    - pstore/ram: Regularize prz label allocation lifetime
    - USB-PD tcpm: bad warning+size, PPS adapters
    - staging: vt6656: correct return of vnt_init_registers.
    - staging: vt6656: limit reg output to block size
    - arm64: Implement copy_thread_tls
    - arm: Implement copy_thread_tls
    - parisc: Implement copy_thread_tls
    - riscv: Implement copy_thread_tls
    - xtensa: Implement copy_thread_tls
    - um: Implement copy_thread_tls
    - powerpc: convert to copy_thread_tls
    - staging: vt6656: remove bool from vnt_radio_power_on ret
    - rpmsg: char: release allocated memory
    - hidraw: Return EPOLLOUT from hidraw_poll
    - HID: hidraw: Fix returning EPOLLOUT from hidraw_poll
    - HID: hidraw, uhid: Always report EPOLLOUT
    - ethtool: reduce stack usage with clang
    - fs/select: avoid clang stack usage warning
    - f2fs: check if file namelen exceeds max value
    - iwlwifi: dbg_ini: fix memory leak in alloc_sgtable
    - iwlwifi: pcie: fix memory leaks in iwl_pcie_ctxt_info_gen3_init
    - rtc: mt6397: fix alarm register overwrite
    - RDMA/bnxt_re: Avoid freeing MR resources if dereg fails
    - RDMA/bnxt_re: Fix Send Work Entry state check while polling completions
    - ASoC: soc-core: Set dpcm_playback / dpcm_capture
    - ASoC: stm32: spdifrx: fix inconsistent lock state
    - ASoC: stm32: spdifrx: fix race condition in irq handler
    - mtd: onenand: omap2: Pass correct flags for prep_dma_memcpy
    - gpio: zynq: Fix for bug in zynq_gpio_restore_context API
    - iommu: Remove device link to group on failure
    - gpio: Fix error message on out-of-range GPIO in lookup table
    - hsr: reset network header when supervision frame is created
    - s390/qeth: fix false reporting of VNIC CHAR config failure
    - s390/qeth: Fix vnicc_is_in_use if rx_bcast not set
    - cifs: Adjust indentation in smb2_open_file
    - afs: Fix missing cell comparison in afs_test_super()
    - drm/ttm: fix start page for huge page check in ttm_put_pages()
    - drm/ttm: fix incrementing the page pointer for huge pages
    - btrfs: simplify inode locking for RWF_NOWAIT
    - RDMA/mlx5: Return proper error value
    - RDMA/srpt: Report the SCSI residual to the initiator
    - scsi: enclosure: Fix stale device oops with hot replug
    - scsi: sd: Clear sdkp->protection_type if disk is reformatted without PI
    - platform/x86: asus-wmi: Fix keyboard brightness cannot be set to 0
    - platform/x86: GPD pocket fan: Use default values when wrong modparams are
      given
    - xprtrdma: Fix completion wait during device removal
    - crypto: virtio - implement missing support for output IVs
    - NFSv2: Fix a typo in encode_sattr()
    - NFSv4.x: Drop the slot if nfs4_delegreturn_prepare waits for layoutreturn
    - iio: imu: adis16480: assign bias value only if operation succeeded
    - mei: fix modalias documentation
    - clk: samsung: exynos5420: Preserve CPU clocks configuration during
      suspend/resume
    - pinctl: ti: iodelay: fix error checking on pinctrl_count_index_with_args
      call
    - pinctrl: lewisburg: Update pin list according to v1.1v6
    - scsi: sd: enable compat ioctls for sed-opal
    - arm64: dts: apq8096-db820c: Increase load on l21 for SDCARD
    - af_unix: add compat_ioctl support
    - compat_ioctl: handle SIOCOUTQNSD
    - PCI: dwc: Fix find_next_bit() usage
    - PCI/PTM: Remove spurious "d" from granularity message
    - powerpc/powernv: Disable native PCIe port management
    - tty: serial: imx: use the sg count from dma_map_sg
    - tty: serial: pch_uart: correct usage of dma_unmap_sg
    - media: ov6650: Fix incorrect use of JPEG colorspace
    - media: ov6650: Fix some format attributes not under control
    - media: ov6650: Fix .get_fmt() V4L2_SUBDEV_FORMAT_TRY support
    - media: rcar-vin: Fix incorrect return statement in rvin_try_format()
    - media: v4l: cadence: Fix how unsued lanes are handled in 'csi2rx_start()'
    - media: exynos4-is: Fix recursive locking in isp_video_release()
    - iommu/mediatek: Correct the flush_iotlb_all callback
    - mtd: spi-nor: fix silent truncation in spi_nor_read()
    - mtd: spi-nor: fix silent truncation in spi_nor_read_raw()
    - spi: atmel: fix handling of cs_change set on non-last xfer
    - rtlwifi: Remove unnecessary NULL check in rtl_regd_init
    - f2fs: fix potential overflow
    - rtc: msm6242: Fix reading of 10-hour digit
    - rtc: brcmstb-waketimer: add missed clk_disable_unprepare
    - gpio: mpc8xxx: Add platform device to gpiochip->parent
    - scsi: libcxgbi: fix NULL pointer dereference in cxgbi_device_destroy()
    - selftests: firmware: Fix it to do root uid check and skip
    - rseq/selftests: Turn off timeout setting
    - mips: cacheinfo: report shared CPU map
    - MIPS: Prevent link failure with kcov instrumentation
    - drm/arm/mali: make malidp_mw_connector_helper_funcs static
    - dmaengine: k3dma: Avoid null pointer traversal
    - ioat: ioat_alloc_ring() failure handling.
    - hexagon: parenthesize registers in asm predicates
    - hexagon: work around compiler crash
    - ocfs2: call journal flush to mark journal as empty after journal recovery
      when mount
    - phy: mapphone-mdm6600: Fix uninitialized status value regression
    - IB/hfi1: Don't cancel unused work item
    - netfilter: nft_flow_offload: fix underflow in flowtable reference counter
    - fs: move guard_bio_eod() after bio_set_op_attrs
    - scsi: mpt3sas: Fix double free in attach error handling
    - PCI: amlogic: Fix probed clock names
    - drm/tegra: Fix ordering of cleanup code
    - s390/qeth: vnicc Fix init to default
    - scsi: smartpqi: Update attribute name to `driver_version`
    - syscalls/x86: Wire up COMPAT_SYSCALL_DEFINE0
    - syscalls/x86: Use COMPAT_SYSCALL_DEFINE0 for IA32 (rt_)sigreturn
    - syscalls/x86: Fix function types in COND_SYSCALL
    - ASoC: rsnd: fix DALIGN register for SSIU
    - RDMA/hns: remove a redundant le16_to_cpu
    - RDMA/hns: Modify return value of restrack functions
    - RDMA/hns: Release qp resources when failed to destroy qp
    - xprtrdma: Connection becomes unstable after a reconnect
    - xprtrdma: Close window between waking RPC senders and posting Receives
    - RDMA/hns: Fix to support 64K page for srq
    - RDMA/hns: Bugfix for qpc/cqc timer configuration
    - uaccess: Add non-pagefault user-space write function
    - bpf: Make use of probe_user_write in probe write helper
    - bpf: skmsg, fix potential psock NULL pointer dereference
    - scsi: ufs: Give an unique ID to each ufs-bsg
    - crypto: hisilicon - select NEED_SG_DMA_LENGTH in qm Kconfig
    - crypto: geode-aes - convert to skcipher API and make thread-safe
    - nfsd: v4 support requires CRYPTO_SHA256
    - NFSv4.x: Handle bad/dead sessions correctly in nfs41_sequence_process()
    - affs: fix a memory leak in affs_remount
    - pinctrl: sh-pfc: Fix PINMUX_IPSR_PHYS() to set GPSR
    - pinctrl: sh-pfc: Do not use platform_get_irq() to count interrupts
    - PCI: pciehp: Do not disable interrupt twice on suspend
    - gfs2: add compat_ioctl support
    - PCI: aardvark: Use LTSSM state to build link training flag
    - PCI: aardvark: Fix PCI_EXP_RTCTL register configuration
    - PCI/PM: Clear PCIe PME Status even for legacy power management
    - tools: PCI: Fix fd leakage
    - MIPS: Loongson: Fix return value of loongson_hwmon_init
    - media: ov6650: Fix default format not applied on device probe
    - media: aspeed-video: Fix memory leaks in aspeed_video_probe
    - spi: sprd: Fix the incorrect SPI register
    - spi: pxa2xx: Set controller->max_transfer_size in dma mode
    - sch_cake: Add missing NLA policy entry TCA_CAKE_SPLIT_GSO
    - NFSD fixing possible null pointer derefering in copy offload
    - scsi: target/iblock: Fix protection error with blocks greater than 512B
    - media: intel-ipu3: Align struct ipu3_uapi_awb_fr_config_s to 32 bytes
  * Disco update: upstream stable patchset 2020-02-04 (LP: #1861918)
    - USB: dummy-hcd: use usb_urb_dir_in instead of usb_pipein
    - USB: dummy-hcd: increase max number of devices to 32
    - bpf: Fix passing modified ctx to ld/abs/ind instruction
    - regulator: fix use after free issue
    - ASoC: max98090: fix possible race conditions
    - locking/spinlock/debug: Fix various data races
    - netfilter: ctnetlink: netns exit must wait for callbacks
    - libtraceevent: Fix lib installation with O=
    - x86/efi: Update e820 with reserved EFI boot services data to fix kexec
      breakage
    - ASoC: Intel: bytcr_rt5640: Update quirk for Teclast X89
    - efi/gop: Return EFI_NOT_FOUND if there are no usable GOPs
    - efi/gop: Return EFI_SUCCESS if a usable GOP was found
    - efi/gop: Fix memory leak in __gop_query32/64()
    - ARM: dts: imx6ul: imx6ul-14x14-evk.dtsi: Fix SPI NOR probing
    - ARM: vexpress: Set-up shared OPP table instead of individual for each CPU
    - netfilter: uapi: Avoid undefined left-shift in xt_sctp.h
    - netfilter: nft_set_rbtree: bogus lookup/get on consecutive elements in named
      sets
    - netfilter: nf_tables: validate NFT_SET_ELEM_INTERVAL_END
    - netfilter: nf_tables: validate NFT_DATA_VALUE after nft_data_init()
    - ARM: dts: BCM5301X: Fix MDIO node address/size cells
    - selftests/ftrace: Fix multiple kprobe testcase
    - ARM: dts: Cygnus: Fix MDIO node address/size cells
    - spi: spi-cavium-thunderx: Add missing pci_release_regions()
    - ASoC: topology: Check return value for soc_tplg_pcm_create()
    - ARM: dts: bcm283x: Fix critical trip point
    - bpf, mips: Limit to 33 tail calls
    - spi: spi-ti-qspi: Fix a bug when accessing non default CS
    - ARM: dts: am437x-gp/epos-evm: fix panel compatible
    - samples: bpf: Replace symbol compare of trace_event
    - samples: bpf: fix syscall_tp due to unused syscall
    - powerpc: Ensure that swiotlb buffer is allocated from low memory
    - btrfs: Fix error messages in qgroup_rescan_init
    - bpf: Clear skb->tstamp in bpf_redirect when necessary
    - bnx2x: Do not handle requests from VFs after parity
    - bnx2x: Fix logic to get total no. of PFs per engine
    - cxgb4: Fix kernel panic while accessing sge_info
    - net: usb: lan78xx: Fix error message format specifier
    - parisc: add missing __init annotation
    - rfkill: Fix incorrect check to avoid NULL pointer dereference
    - ASoC: wm8962: fix lambda value
    - regulator: rn5t618: fix module aliases
    - iommu/iova: Init the struct iova to fix the possible memleak
    - kconfig: don't crash on NULL expressions in expr_eq()
    - perf/x86/intel: Fix PT PMI handling
    - fs: avoid softlockups in s_inodes iterators
    - net: stmmac: Do not accept invalid MTU values
    - net: stmmac: xgmac: Clear previous RX buffer size
    - net: stmmac: RX buffer size must be 16 byte aligned
    - net: stmmac: Always arm TX Timer at end of transmission start
    - s390/purgatory: do not build purgatory with kcov, kasan and friends
    - drm/exynos: gsc: add missed component_del
    - s390/dasd/cio: Interpret ccw_device_get_mdc return value correctly
    - s390/dasd: fix memleak in path handling error case
    - block: fix memleak when __blk_rq_map_user_iov() is failed
    - parisc: Fix compiler warnings in debug_core.c
    - llc2: Fix return statement of llc_stat_ev_rx_null_dsap_xid_c (and _test_c)
    - hv_netvsc: Fix unwanted rx_table reset
    - powerpc/vcpu: Assume dedicated processors as non-preempt
    - powerpc/spinlocks: Include correct header for static key
    - PCI/switchtec: Read all 64 bits of part_event_bitmap
    - gtp: fix bad unlock balance in gtp_encap_enable_socket
    - macvlan: do not assume mac_header is set in macvlan_broadcast()
    - net: dsa: mv88e6xxx: Preserve priority when setting CPU port.
    - net: stmmac: dwmac-sun8i: Allow all RGMII modes
    - net: stmmac: dwmac-sunxi: Allow all RGMII modes
    - net: usb: lan78xx: fix possible skb leak
    - pkt_sched: fq: do not accept silly TCA_FQ_QUANTUM
    - sch_cake: avoid possible divide by zero in cake_enqueue()
    - sctp: free cmd->obj.chunk for the unprocessed SCTP_CMD_REPLY
    - tcp: fix "old stuff" D-SACK causing SACK to be treated as D-SACK
    - vxlan: fix tos value before xmit
    - vlan: fix memory leak in vlan_dev_set_egress_priority
    - vlan: vlan_changelink() should propagate errors
    - mlxsw: spectrum_qdisc: Ignore grafting of invisible FIFO
    - net: sch_prio: When ungrafting, replace with FIFO
    - usb: dwc3: gadget: Fix request complete check
    - USB: core: fix check for duplicate endpoints
    - USB: serial: option: add Telit ME910G1 0x110a composition
    - usb: missing parentheses in USE_NEW_SCHEME
    - ASoC: rt5682: fix i2c arbitration lost issue
    - spi: pxa2xx: Add support for Intel Elkhart Lake
    - spi: pxa2xx: Add support for Intel Jasper Lake
    - spi: fsl: Fix GPIO descriptor support
    - libtraceevent: Copy pkg-config file to output folder when using O=
    - regulator: core: fix regulator_register() error paths to properly release
      rdev
    - selftests/ftrace: Fix to check the existence of set_ftrace_filter
    - selftests/ftrace: Fix ftrace test cases to check unsupported
    - reset: Do not register resource data for missing resets
    - ARM: dts: am335x-sancloud-bbe: fix phy mode
    - bpftool: Don't crash on missing jited insns or ksyms
    - arm64: dts: ls1028a: fix reboot node
    - ARM: imx_v6_v7_defconfig: Explicitly restore CONFIG_DEBUG_FS
    - mac80211: fix TID field in monitor mode transmit
    - cfg80211: fix double-free after changing network namespace
    - btrfs: handle error in btrfs_cache_block_group
    - clk: at91: fix possible deadlock
    - staging: axis-fifo: add unspecified HAS_IOMEM dependency
    - sched/psi: Fix sampling error and rare div0 crashes with cgroups and high
      uptime
    - usb: typec: fusb302: Fix an undefined reference to 'extcon_get_state'
    - block: end bio with BLK_STS_AGAIN in case of non-mq devs and REQ_NOWAIT
    - fs: call fsnotify_sb_delete after evict_inodes
    - net: stmmac: Determine earlier the size of RX buffer
    - arm64: cpu_errata: Add Hisilicon TSV110 to spectre-v2 safe list
    - sbitmap: only queue kyber's wait callback if not already active
    - s390/qeth: handle error due to unsupported transport mode
    - s390/qeth: fix promiscuous mode after reset
    - s390/qeth: don't return -ENOTSUPP to userspace
    - selftests: pmtu: fix init mtu value in description
    - net: freescale: fec: Fix ethtool -d runtime PM
    - net: stmmac: Fixed link does not need MDIO Bus
    - net/mlx5e: Fix hairpin RSS table size
  * shiftfs: prevent lower dentries from going negative during unlink
    (LP: #1860041)
    - SAUCE: shiftfs: prevent lower dentries from going negative during unlink
  * Prevent arm64 guest from accessing host debug registers (LP: #1860657)
    - KVM: arm64: Write arch.mdcr_el2 changes since last vcpu_load on VHE
  * pty03 from pty in ubuntu_ltp failed on Eoan (LP: #1862114)
    - can, slip: Protect tty->disc_data in write_wakeup and close with RCU

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Fri, 21 Feb 2020 15:29:56 +0200

linux-oem-osp1 (5.0.0-1040.45) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1040.45 -proposed tracker (LP: #1863996)

  * Another Dell AIO backlight issue (LP: #1863880)
    - SAUCE: platform/x86: dell-uart-backlight: move retry block

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 20 Feb 2020 09:23:58 +0200

linux-oem-osp1 (5.0.0-1039.44) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1039.44 -proposed tracker (LP: #1863082)

  * Sometimes can't adjust brightness on Dell AIO (LP: #1862885)
    - SAUCE: platform/x86: dell-uart-backlight: increase retry times

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 13 Feb 2020 16:36:19 +0200

# For older changelog entries, run 'apt-get changelog linux-buildinfo-5.0.0-1050-oem-osp1'
